# Entering precomp.mk

PRODUCT=precomp

# Entering SRCHOME/buildtools/mkfile/prefix.mk

# Entering SRCHOME/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
CC_EXT=cpp
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip
DEF_EXT=def
BITCODE_EXT=bc
BITCODE_FILES=*.$(BITCODE_EXT)
CX_EXT=cx
PMCX_EXT=ix

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :
DEPLIB_EXT=$(LIB_EXT)
DEPSO_EXT=$(SO_EXT)

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
CPP_WITH_COMMENTS=cpp -C -std=c9x
CODECOV_TOOL_CCB=stattool.STABLE
CODECOV_TOOL_HTML=stattool.STABLE --ed-commands
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
MVF=mv -f
NM=nm
PERL=perl
RM=rm
RMF=rm -f
CPF=cp -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls
ED=ed - -s

GRADLE=gradle
NULL_DEVICE=/dev/null

BINDIR=bin
LIBDIR=lib
JSRCDIR=jsrc
JLIBDIR=jlib
BINHOME=$(ORACLE_HOME)/$(BINDIR)/
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODJORACLE_HOME=$(PRODHOME)$(JSRCDIR)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)
PRODADMIN=$(PRODHOME)admin/
PRODDEFHOME=$(PRODADMIN)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENCLNTST=$(BINHOME)genclntst
GENOCCISH=$(BINHOME)genoccish
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab
MKMANIFEST=$(ORACLE_HOME)/buildtools/bin/mkjmanifest

ARCHIVE=$(ECHODO) $(ARCREATE) $(LIB) $?
ARCHIVE2=$(ECHODO) $(ARCREATE) $(LIB2) $?
ARCHIVE_PIC=$(ECHODO) $(ARCREATE) $(PIC_LIB) $?
ARCHIVE2_PIC=$(ECHODO) $(ARCREATE) $(PIC_LIB2) $?
ARCHIVE_NOPIC=$(ECHODO) $(ARCREATE) $(NOPIC_LIB) $?
ARCHIVE2_NOPIC=$(ECHODO) $(ARCREATE) $(NOPIC_LIB2) $?
ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? 

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uvf

CCARCREATE=$(CCC) -xar -o 

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@

CTSCLEAN=clean
CTSCOMPTYPE=comp_ar1 _UNLOCK='$$(_unlock)' _LOCK='$$(_lock)' _RM='$$(_rm)' 
CTSDEPLIST=DEPLIST=/dev/null
CTSNOCLEAN=DIRS="" PUB_CFILES="" PVT_CFILES="" PLBFILES=""
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s) \
	$(CTSCLEAN) $(CTSCOMPTYPE) $(CTSDEPLIST) $(CTSNOCLEAN)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
LPFLAGS+= $(BANNERDEFINES)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS) $(PLSQLNCGFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(NZLIBS) $(LLIBZTKG) $(LLIBRDBMS_CLT) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
LINKSHCORETTLIBS=$(LLIBCLNTSHCORE) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)
SUIDLINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(SUIDLINKLDLIBS)

STATIC_ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(NZLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

SHARED_CLIENTLIBS=$(LLIBCLNTSH) $(LDFLAGSLIST)
STATIC_CLIENTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)
SHARED_LDCLIENTLIBS=$(SHARED_CLIENTLIBS) $(LDLIBS)
STATIC_LDCLIENTLIBS=$(STATIC_CLIENTLIBS) $(LDLIBS)

I_SYM=-I

LD_SHLIBS=$(SHLIBS)
DLOPENLIB_COMMAND=$(LD_SHLIB_COMMAND)
DLOPEN_SYM_COMMAND=$(SYM_COMMAND)
LD_SHLIB_COMMAND=$(SO_COMMAND)


OH_LINK_SHLIB_COMMAND=$(MAKE) -f $(MAKEFILE) ALWAYS=always \
$(LIBHOME)$(@:.ohso=.$(SO_EXT))
PROD_LINK_SHLIB_COMMAND=$(MAKE) -f $(MAKEFILE) ALWAYS=always \
$(PRODLIBHOME)$(@:.prodso=.$(SO_EXT))

LIBMAJORVSN=
CLIENT_LIBMAJORVSN=23

MAJORVSN=23
MINORVSN=0
MIDTIERVSN=0
PATCHMAJORVSN=0
PATCHMINORVSN=0
BANNERVERSION=$(MAJORVSN).$(MINORVSN).$(MIDTIERVSN).$(PATCHMAJORVSN).$(PATCHMINORVSN)
VSNMAJ=$(MAJORVSN)
VSNRU=4
VSNRUR=0
VSNRUYY=24
VSNRUMM=05
VSNRUMO=5
VSNINC=$(VSNRUYY)
VSNEXT=$(VSNRUMO)
VSNEXT4STR=$(VSNRUMM)
BANNERVERSIONFULL=$(VSNMAJ).$(VSNRU).$(VSNRUR).$(VSNINC).$(VSNEXT4STR)

FPRMAJ=23
FPRRU=4
FPRRUR=0
FPRRUYY=24
FPRRUMM=05
FPRRUMO=5
FPRINC=$(FPRRUYY)
FPREXT=$(FPRRUMO)
FPREXT4STR=$(FPRRUMM)
FPRVERSIONFULL=$(FPRMAJ).$(FPRRU).$(FPRRUR).$(FPRINC).$(FPREXT4STR)

SPACE2NEWLINE=| $(TR) ' ' \\n

LINKSHLIB=$(BINHOME)linkshlib
LIBS_SUFFIX=LIBS
LINKSHLIB_CALL=$(LINKSHLIB) $@ $(MAKEFILE) $(SO_EXT)
CUS_NEW_SHLIB_COMMAND=$(LINKSHLIB_CALL) new_ld_shlib $(LIBS_SUFFIX) $(VARLIB)
CUS_NEW_DLOPENLIB_COMMAND=$(LINKSHLIB_CALL) new_dlopenlib $(LIBS_SUFFIX) $(VARLIB)
CUS_SHLIB_COMMAND=$(LINKSHLIB_CALL) ld_shlib $(LIBS_SUFFIX) $(VARLIB)
CUS_DLOPENLIB_COMMAND=$(LINKSHLIB_CALL) dlopenlib $(LIBS_SUFFIX) $(VARLIB)
CUS_VARLIB_COMMAND=$(LINKSHLIB_CALL) var $(PRODHOME)admin
CUS_BOOTSTRAPLIB_COMMAND=$(LINKSHLIB_CALL) bootstrap $(LIBS_SUFFIX)

# Exiting SRCHOME/buildtools/mkfile/defs.mk
# Entering SRCHOME/buildtools/mkfile/platform.mk

FAMILY=unix
ifeq ($(BUILD32),T)
BUILD_CC=
PLATFORM=linux
else
PLATFORM=x86_64
endif

ISCERT=`/bin/cat /etc/issue | /bin/grep -v "Red Hat Enterprise Linux AS release 3"`
ISUBUNTU1=$(shell cat /etc/*-release|grep -i "NAME="|egrep -i "ubuntu|debian")
ISUBUNTU2=$(shell dpkg --compare-versions 2.35.0 gt \
     `dpkg -s binutils|grep Version |sed 's/-.*//'|awk  '{print $$2}'`;echo $$?)
ifneq ($(ISUBUNTU1),)
  ifneq ($(ISUBUNTU2),1)
    ISUBUNTU=1
  endif
endif

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/
PSEP=:

ORACLUSTERDIR=/opt/ORCLcluster/lib/

SO_EXT=so

GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda


JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LDNOEXECSTACK=-z noexecstack

LDSTUBLIBS=$(LDPATHFLAG)$(LIBHOME)stubs/

LDDISABLENEWDTAGS=-Wl,--disable-new-dtags

LDSEPCODE=-Wl,-z,separate-code -Wl,-z,max-page-size=4096

LD_RELRO0=
LD_RELRO1=-Wl,-z,relro
LD_RELRO2=-Wl,-z,relro,-z,now
LD_RELRO_OPT=$(LD_RELRO2)
LD_NO_PIE=
LD_PIE=-pie
LD_PIE_OPT=$(LD_PIE)
LD_SECURE_OPTS=$(LD_RELRO_OPT) $(LD_PIE_OPT)

ifneq ($(ISUBUNTU),)
LD_NO_PIE=-no-pie
LDNOASNEEDED=-Wl,--no-as-needed
endif

LDPLATFORMFLAGS_SHARED=$(LDNOEXECSTACK) $(LDDISABLENEWDTAGS) $(LDNOASNEEDED) $(LDSEPCODE)
LDPLATFORMFLAGS=$(LDPLATFORMFLAGS_SHARED) $(LD_SECURE_OPTS)

LDOBJSZ=-m64
LDFLAGS=-o $@ $(LDOBJSZ) $(LDPLATFORMFLAGS) $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDSTUBLIBS)

AMD32FLAGS=-m32
LIBHOME32=$(ORACLE_HOME)/lib32/
PRODLIBHOME32=$(PRODHOME)/lib32/

LDFLAGS32=-o $@ $(AMD32FLAGS) $(LDPLATFORMFLAGS) $(LDPATHFLAG)$(PRODLIBHOME32) $(LDPATHFLAG)$(LIBHOME32) $(LDPATHFLAG)$(LIBHOME32)stubs/
ifeq ($(BUILD32),T)
LDFLAGS=$(LDFLAGS32)
endif

ORALDLOC=$(ORACLE_HOME)/bin/orald
ORALD=$(if $(wildcard $(ORALDLOC)), $(ORALDLOC), gcc)

LINK=$(FORT_CMD) $(PURECMDS) $(ORALD) $(LDFLAGS) $(COMPSOBJS)
LINK32=$(FORT_CMD) $(PURECMDS) $(ORALD) $(LDFLAGS32) $(COMPSOBJS)

LLIBSTDCPP=-lstdc++

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/$(LIBDIR)
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARY_PATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH)

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS) $(COMPEOBJS) -L$(ORACLE_HOME)/$(LIBDIR)
SUIDLINKLDLIBS=$(LINKLDLIBS:$(SHAREDLIBPATH)=)

OPTIMIZE0=-O0
OPTIMIZE1=-O1
OPTIMIZE2=-O2
OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZEG=-g
OPTIMIZEF=-fno-merge-debug-strings -g

ifdef BUILD_CC
OPTIMIZE=$(OPTIMIZE2)
else
OPTIMIZE=$(OPTIMIZE3)
endif

ROFLAGS=-c
SPFLAGS=-DLINUX -DORAX86_64 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS -DLONG_IS_64 -DSS_64BIT_SERVER -DCOMP_DIR=$(QUOTE)"$(COMP_DIR)"$(QUOTE)
SPFLAGS32=-DLINUX -D_GNU_SOURCE -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS -DCOMP_DIR=$(QUOTE)"$(COMP_DIR)"$(QUOTE)
ifeq ($(BUILD32),T)
SPFLAGS=$(SPFLAGS32)
endif

ifdef TEST_CC
        SPFLAGS += -D__NO_CTYPE=1
endif

AR=$(FORT_CMD) /usr/bin/ar
AS=/usr/bin/as
CPP=/lib/cpp
LD=$(FORT_CMD)$(ORALD)
NM=/usr/bin/nm
TR=/usr/bin/tr
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown
ZIP=/usr/bin/zip
UNZIP_DIR_FLAG=-d

KPIC_OPTION=-fPIC $(ICC_KPIC_OPTION)

STACK_PROTECT_OPTION_=-fstack-protector-strong
STACK_PROTECT_OPTION=$(STACK_PROTECT_OPTION_)

_SLEEP=$(SLEEP)

COMPDIR=/usr
CC=$(COMPDIR)/bin/gcc
CCC=$(COMPDIR)/bin/g++
CPP=/lib/cpp
TRIGRAPHS_CCFLAGS=-trigraphs

CCFLAGSCC=-DOCCI_NO_WSTRING=1 -D__NO_INLINE__=1 $(KPIC_OPTION)
CCFLAGSCC32=-DOCCI_NO_WSTRING=1 -D__NO_INLINE__=1 $(KPIC_OPTION) $(AMD32FLAGS)
ifeq ($(BUILD32),T)
CCFLAGSCC=$(CCFLAGSCC32)
endif

CCARCREATE=$(AR) cr$(ARLOCAL)

ASPFLAGS=
NOKPIC_ASFLAGS=
ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


SHARED_LDFLAG=-shared $(LDPLATFORMFLAGS_SHARED) -L$(ORACLE_HOME)/lib -o
SHARED_LDFLAG32=$(AMD32FLAGS) -shared $(LDPLATFORMFLAGS_SHARED) -L$(ORACLE_HOME)/lib -o
ifeq ($(BUILD32),T)
SHARED_LDFLAG=$(SHARED_LDFLAG32)
endif
SHARED_CFLAG=

NOKPIC_CCFLAGS=$(TRIGRAPHS_CCFLAGS)
NOKPIC_CCFLAGS32=$(AMD32FLAGS) $(TRIGRAPHS_CCFLAGS)
ifeq ($(BUILD32),T)
NOKPIC_CCFLAGS=$(NOKPIC_CCFLAGS32)
endif

SHLIBCCFLAGS=$(NOKPIC_CCFLAGS) $(KPIC_OPTION)

CCFLAGS= $(SHLIBCCFLAGS)
CCFLAGS32 = $(NOKPIC_CCFLAGS32) $(KPIC_OPTION)

FASTCCFLAGS= $(NOKPIC_CCFLAGS) $(TLS_STATIC)

ECC_PGO1= -prof-gen
ECC_PGO2= -prof-use -prof-dir $(PROF_DIR) 
LLIBIRC= -lirc

ifdef COVERAGE_RUN
	LLIBIRC+= -lipgo
	SYSLIBS+= -lipgo
endif

SHLIB_LD=$(FORT_CMD)$(ORALD) -o $(_FULL_LIBNAME) -shared $(LDPLATFORMFLAGS_SHARED) -L$(BOOTSTRAPLIB) -L$(LIBHOME) -L$(PRODLIBHOME) $(LDSTUBLIBS)
BOOTSTRAPLIB=/tmp/bootstraplib/
SHLIB_MAP=-Wl,--version-script=$(PRODDEFHOME)$(_LIBNAME).$(DEF_EXT)
SHLIB_NAME=-Wl,-h,$(_LIBNAME).$(SO_EXT)
SHLIB_OBJS=-Wl,--whole-archive $(_LIBDIR)$(_LIBNAME).$(LIB_EXT) -Wl,--no-whole-archive
SHLIB_OBJS_OLD=-Wl,--whole-archive $(_LIBDIR)$(_LIBNAME).$(LIB_EXT) -Wl,--no-whole-archive
SHLIB_OTHER=$(_LIBNAME_LIBS) $(_VAR_LIBS)
SHLIB_BOOTSTRAP_OTHER=$(_LIBNAME_EXTRALIBS) $(_VAR_EXTRALIBS)
SHLIB_CLOSED=-Wl,-z,defs
SHLIB_RP=-Wl,-rpath,$(LIBHOME) -Wl,-rpath,$(PRODLIBHOME)

LD_SHLIB_COMMAND=$(SHLIB_LD) $(SHLIB_MAP) $(SHLIB_OBJS_OLD) $(SHLIB_OTHER) $(SHLIB_OTHER_DEP) $(LLIBIRC)
LD_SHLIB_COMMAND32=$(SHLIB_LD) $(AMD32FLAGS) $(SHLIB_MAP) $(SHLIB_OTHER) $(SHLIB_OBJS_OLD) $(SHLIB_OTHER_DEP) $(LLIBIRC)

DLOPENLIB_COMMAND=$(LD_SHLIB_COMMAND) $(PROD_DLLIBS)

NEW_LD_SHLIB_COMMAND=$(SHLIB_LD) $(SHLIB_MAP) $(SHLIB_NAME) $(SHLIB_OBJS) \
$(SHLIB_RP) $(SHLIB_OTHER) $(SHLIB_CLOSED) $(LLIBIRC)
NEW_DLOPENLIB_COMMAND=$(NEW_LD_SHLIB_COMMAND)
BOOTSTRAP_COMMAND=$(NEW_LD_SHLIB_COMMAND) $(SHLIB_BOOTSTRAP_OTHER) $(LLIBIRC)
NEW_LD_SHLIB_DEP=$(PRODDEFHOME)%.$(DEF_EXT) $(PRODLIBHOME)%.$(LIB_EXT)
NEW_DLOPENLIB_DEP=$(NEW_LD_SHLIB_DEP)
BOOTSTRAPLIB_DEP=$(NEW_LD_SHLIB_DEP)


# Exiting SRCHOME/buildtools/mkfile/platform.mk
# Entering SRCHOME/buildtools/mkfile/rules.mk
 
# Exiting SRCHOME/buildtools/mkfile/rules.mk
# Exiting SRCHOME/buildtools/mkfile/prefix.mk
# Entering SRCHOME/rdbms/export_banner.mk

# Exiting SRCHOME/rdbms/export_banner.mk
# Entering SRCHOME/ldap/exports.mk

LDAP_VERSION=
LDAP_CLIENT_VERSION=$(CLIENT_LIBMAJORVSN)
OPT_LEVEL_REL=optimized
OPT_LEVEL_DBG=debug

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLRTANAME= gslrta$(LDAP_VERSION)
LLIBGSLRTA= $(LDLIBFLAG)$(LIBGSLRTANAME)$(LIB_SUFFIX)
LIBGSLRTA= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTANAME).$(LIB_EXT)

LIBGSLRTDNAME= gslrtd$(LDAP_VERSION)
LLIBGSLRTD= $(LDLIBFLAG)$(LIBGSLRTDNAME)$(LIB_SUFFIX)
LIBGSLRTD= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTDNAME).$(LIB_EXT)

LIBGSLRTMNAME= gslrtm$(LDAP_VERSION)
LLIBGSLRTM= $(LDLIBFLAG)$(LIBGSLRTMNAME)$(LIB_SUFFIX)
LIBGSLRTM= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTMNAME).$(LIB_EXT)

LIBGSLRTPNAME= gslrtp$(LDAP_VERSION)
LLIBGSLRTP= $(LDLIBFLAG)$(LIBGSLRTPNAME)$(LIB_SUFFIX)
LIBGSLRTP= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTPNAME).$(LIB_EXT)

LIBGSLRTRNAME= gslrtr$(LDAP_VERSION)
LLIBGSLRTR= $(LDLIBFLAG)$(LIBGSLRTRNAME)$(LIB_SUFFIX)
LIBGSLRTR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTRNAME).$(LIB_EXT)

LIBGSLRTUNAME= gslrtu$(LDAP_VERSION)
LLIBGSLRTU= $(LDLIBFLAG)$(LIBGSLRTUNAME)$(LIB_SUFFIX)
LIBGSLRTU= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRTUNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)


LIBGSLUSNAME= gslus$(LDAP_VERSION)
LLIBGSLUS= $(LDLIBFLAG)$(LIBGSLUSNAME)$(LIB_SUFFIX)
LIBGSLUS= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLUSNAME).$(LIB_EXT)

LIBGSLTNAME= gslt$(LDAP_VERSION)
LLIBGSLT= $(LDLIBFLAG)$(LIBGSLTNAME)$(LIB_SUFFIX)
LIBGSLT= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLTNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBGSLECNAME= gslec$(LDAP_VERSION)
LLIBGSLEC= $(LDLIBFLAG)$(LIBGSLECNAME)$(LIB_SUFFIX)
LIBGSLEC= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLECNAME).$(LIB_EXT)

LIBGSLSMNAME= gslsm$(LDAP_VERSION)
LLIBGSLSM= $(LDLIBFLAG)$(LIBGSLSMNAME)$(LIB_SUFFIX)
LIBGSLSM= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSMNAME).$(LIB_EXT)

LIBGSLIRNAME= gslir$(LDAP_VERSION)
LLIBGSLIR= $(LDLIBFLAG)$(LIBGSLIRNAME)$(LIB_SUFFIX)
LIBGSLIR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLIRNAME).$(LIB_EXT)

LIBGSLGRNAME= gslgr$(LDAP_VERSION)
LLIBGSLGR= $(LDLIBFLAG)$(LIBGSLGRNAME)$(LIB_SUFFIX)
LIBGSLGR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLGRNAME).$(LIB_EXT)

LIBGSLAUDNAME= gslaud$(LDAP_VERSION)
LLIBGSLAUD= $(LDLIBFLAG)$(LIBGSLAUDNAME)$(LIB_SUFFIX)
LIBGSLAUD= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAUDNAME).$(LIB_EXT)

LIBGSLPLNAME= gslpl$(LDAP_VERSION)
LLIBGSLPL= $(LDLIBFLAG)$(LIBGSLPLNAME)$(LIB_SUFFIX)
LIBGSLPL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLPLNAME).$(LIB_EXT)

LIBGSLMNAME= gslm$(LDAP_VERSION)
LLIBGSLM= $(LDLIBFLAG)$(LIBGSLMNAME)$(LIB_SUFFIX)
LIBGSLM=$(LIBHOME)$(LIB_PREFIX)$(LIBGSLMNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LIBLDAPCLNTSHNAME= ldapclntsh$(LDAP_VERSION)
LIBLDAPCLNTSH= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTSHNAME).$(LIB_EXT)
LLIBLDAPCLNTSH= $(LDLIBFLAG)$(LIBLDAPCLNTSHNAME)
LIBLDAPCLNTSHLIBS= $(LIBLDAPCLNTSHNAME)LIBS

LIBLDAPJCLNTNAME= ldapjclnt$(LDAP_VERSION)
LIBLDAPJCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(LIB_EXT)
LIBLDAPJCLNTSH = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(SO_EXT)
LLIBLDAPJCLNT= $(LDLIBFLAG)$(LIBLDAPJCLNTNAME)
LIBLDAPJCLNTLIBS= $(LIBLDAPJCLNTNAME)LIBS

LIBGSLMTNAME= gslmt$(LDAP_VERSION)
LLIBGSLMT= $(LDLIBFLAG)$(LIBGSLMTNAME)$(LIB_SUFFIX)
LIBGSLMT= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLMTNAME).$(LIB_EXT)

LDAPHOME=    $(ORACLE_HOME)/ldap/
SECURITYORACLE_HOME=    $(ORACLE_HOME)/security_src/
LDAPBIN=     $(LDAPHOME)$(BINDIR)/
LDAPLIB=     $(LDAPHOME)$(LIBDIR)/
LDAPJLIB=    $(LDAPHOME)jlib/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public $(I_SYM)$(LDAPHOME)include

SPFLAGS+= -DLDAP_CM

# Entering SRCHOME/ldap/s_exports.mk


# Exiting SRCHOME/ldap/s_exports.mk
# Exiting SRCHOME/ldap/exports.mk
# Entering SRCHOME/crypto/exports.mk

# Entering SRCHOME/crypto/iasr_exports.mk


# Exiting SRCHOME/crypto/iasr_exports.mk

CRYPTO_VERSION=$(CLIENT_LIBMAJORVSN)
OPT_LEVEL_REL=optimized
OPT_LEVEL_DBG=debug
ENABLE_MES=0
ENABLE_NNZST=0

LIBZTKGNAME= ztkg
LIBZTKG= $(LIBHOME)$(LIB_PREFIX)$(LIBZTKGNAME).$(LIB_EXT)
LLIBZTKG= $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBZTKGNAME)$(ILIB_SUFFIX)
LIBZTKGDBGNAME= $(LIBZTKGNAME)
LIBZTKGDBG= $(LIBZTKG)
LLIBZTKGDBG= $(LLIBZTKG)

CRYPTOHOME= $(ORACLE_HOME)/crypto/
SECURITYORACLE_HOME= $(ORACLE_HOME)/security_src/
CRYPTOBIN= $(CRYPTOHOME)$(BINDIR)/
CRYPTOLIB= $(CRYPTOHOME)$(LIBDIR)/
CRYPTOJLIB= $(CRYPTOHOME)jlib/
CRYPTOPKIJLIB = $(CRYPTOJLIB)pki/zip/

CRYPTOPUBH= $(I_SYM)$(CRYPTOHOME)include/public/nz $(I_SYM)$(CRYPTOHOME)include/public/zt  $(I_SYM)$(CRYPTOHOME)include/public/misc

SSLPUBH= $(I_SYM)$(CRYPTOHOME)include/public/nz

ZTCE_DIR=$(IASRESTRICTEDSRC)/zt/ztce/
ZTMISC_DIR=$(IASRESTRICTEDJSRC)/crypto/oracle/security/misc

NZNAME= nnz
NZSRVNAME= nnzsrv
LLIBNZ= $(LDLIBFLAG)$(ILIB_PREFIX)$(NZNAME)$(ILIB_SUFFIX)
LLIBNZSRV= $(LDLIBFLAG)$(ILIB_PREFIX)$(NZSRVNAME)$(ILIB_SUFFIX)
LIBNZ=$(LIBHOME)$(LIB_PREFIX)$(NZNAME).$(SO_EXT)
LIBNZSRV=$(LIBHOME)$(LIB_PREFIX)$(NZSRVNAME).$(SO_EXT)
LLIBNZ_SERVER=$(LLIBNZSRV)

NZDBGNAME= nnzdbg
NZSRVDBGNAME= nnzsrvdbg
LLIBNZDBG= $(LDLIBFLAG)$(ILIB_PREFIX)$(NZDBGNAME)$(ILIB_SUFFIX)
LLIBNZSRVDBG= $(LDLIBFLAG)$(ILIB_PREFIX)$(NZSRVDBGNAME)$(ILIB_SUFFIX)
LIBNZDBG=$(LIBHOME)$(LIB_PREFIX)$(NZDBGNAME).$(SO_EXT)
LIBNZSRVDBG=$(LIBHOME)$(LIB_PREFIX)$(NZSRVDBGNAME).$(SO_EXT)
LLIBNZDBG_SERVER=$(LLIBNZSRVDBG)

NZPLEGACYNAME= legacy
NZPFIPSNAME= fips
NZPEXTKSNAME= extks
NZPPKCS11NAME= pkcs11

OWMNAME = owm2
LIBOWM  = $(CRYPTOLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)

LIBZTNAME  = zt
LIBZTDBGNAME  = ztdbg
NZTNAME = ${NZNAME}
NZTDBGNAME = ${NZDBGNAME}
NZTRNAME = ${NZNAME}
NZTRDBGNAME = ${NZDBGNAME}
LIBZT   = $(LIBHOME)$(LIB_PREFIX)$(LIBZTNAME).$(LIB_EXT)
LIBZTDBG   = $(LIBHOME)$(LIB_PREFIX)$(LIBZTDBGNAME).$(LIB_EXT)
LLIBZT   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBZTNAME)$(ILIB_SUFFIX)
LLIBZTDBG   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBZTDBGNAME)$(ILIB_SUFFIX)
LOC_LIBNZTR   = $(CRYPTOLIB)$(LIB_PREFIX)$(NZTRNAME).$(LIB_EXT)
LOC_LIBNZTRDBG   = $(CRYPTOLIB)$(LIB_PREFIX)$(NZTRDBGNAME).$(LIB_EXT)
LOC_LIBNZ  = $(CRYPTOLIB)$(LIB_PREFIX)$(NZNAME).$(LIB_EXT)
LOC_LIBNZDBG  = $(CRYPTOLIB)$(LIB_PREFIX)$(NZDBGNAME).$(LIB_EXT)
LIBZTLWNAME  = ztlw
LIBZTLW   = $(LIBHOME)$(LIB_PREFIX)$(LIBZTLWNAME).$(LIB_EXT)
LLIBZTLW   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBZTLWNAME)$(ILIB_SUFFIX)

NZLIBS = $(LLIBNZ) $(LLIBZT) $(LLIBZTKG)
NZLIBSLW = $(LLIBNZ) $(LLIBZTLW)
NZDBGLIBS = $(LLIBNZDBG) $(LLIBZTDBG) $(LLIBZTKG)
ZTKGLIB = $(LLIBZTKG)
ZTKGDBGLIB = $(LLIBZTKGDBG)

NZLIBS_SERVER = $(LLIBNZ_SERVER) $(LLIBZT) $(LLIBZTKG)

NZDBGLIBS_SERVER = $(LLIBNZDBG_SERVER) $(LLIBZTDBG) $(LLIBZTKG)

SPFLAGS+= -DLDAP_CM
CRYPTO_DLIBS_FIPS140 = $(NZPLEGACYNAME).$(SO_EXT) \
     $(NZPFIPSNAME).$(SO_EXT) \
     $(NZPEXTKSNAME).$(SO_EXT) \
     $(NZPPKCS11NAME).$(SO_EXT)
 
ORCLWLT = oraclewallet
ORCLWLTZIP = $(CRYPTOPKIJLIB)$(ORCLWLT).$(ZIP_EXT)

# Entering SRCHOME/crypto/s_exports.mk


# Exiting SRCHOME/crypto/s_exports.mk
# Exiting SRCHOME/crypto/exports.mk
# Entering SRCHOME/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB  = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

ENCRYPTION_VERSION=$(LIBMAJORVSN)
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt$(ENCRYPTION_VERSION)
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)
LLIBNCRYPT      =$(LDLIBFLAG)$(ILIB_PREFIX)$(CRYPTNAME)$(ILIB_SUFFIX)

PHAOSJAR=$(ENCRYPTIONJLIB)ojpse.$(JAR_EXT)
PHAOSCMSJAR=$(ENCRYPTIONJLIB)ojpcms.$(JAR_EXT)
CRYPTSHNAME=$(BASENAME)cryptsh$(ENCRYPTION_VERSION)
LLIBNCRYPTSH=$(LDLIBFLAG)$(CRYPTSHNAME)$(ILIB_SUFFIX)
# Entering SRCHOME/encryption/s_exports.mk

# Exiting SRCHOME/encryption/s_exports.mk
# Exiting SRCHOME/encryption/exports.mk
# Entering SRCHOME/network/exports.mk

NETWORKHOME=$(ORACLE_HOME)/network/
NETWORKADMIN=$(NETWORKHOME)admin/
NETWORKINSTALL=$(NETWORKHOME)install/
NETWORKDEMO=$(NETWORKHOME)demo/

# Entering SRCHOME/network/adapters.mk

# Entering SRCHOME/network/s_adapters.mk

# Exiting SRCHOME/network/s_adapters.mk

# Entering SRCHOME/network/libnames.mk

NETWORK_VERSION=$(LIBMAJORVSN)
BASENAME=n
NETWORKLIB=$(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB=$(NETWORKHOME)$(JLIBDIR)/

COMMONNAME=${BASENAME}${NETWORK_VERSION}
NLNAME=${BASENAME}l${NETWORK_VERSION}
TCPNAME=${BASENAME}tcp${NETWORK_VERSION}
QUENAME=${BASENAME}que${NETWORK_VERSION}
DECNETNAME=${BASENAME}dec${NETWORK_VERSION}
LU62NAME=${BASENAME}lu62${NETWORK_VERSION}
MBNAME=${BASENAME}mb${NETWORK_VERSION}
DCENAME=${BASENAME}dce${NETWORK_VERSION}
BEQNAME=${BASENAME}beq${NETWORK_VERSION}
IPCNAME=${BASENAME}ipc${NETWORK_VERSION}
SPXNAME=${BASENAME}spx${NETWORK_VERSION}
TLINAME=${BASENAME}tli${NETWORK_VERSION}
TLITNAME=${BASENAME}tlit${NETWORK_VERSION}
TLISNAME=${BASENAME}tlis${NETWORK_VERSION}
TLIDNAME=${BASENAME}tlid${NETWORK_VERSION}
USNAME=${BASENAME}us${NETWORK_VERSION}
MQNAME=${BASENAME}tmq${NETWORK_VERSION}
SHMNAME=${BASENAME}shm${NETWORK_VERSION}
TCPSNAME=${BASENAME}tcps${NETWORK_VERSION}
CRYPTNAME=${BASENAME}crypt${NETWORK_VERSION}
TCPAIONAME=${BASENAME}tcpaio${NETWORK_VERSION}
NSGRNAME=${BASENAME}sgr${NETWORK_VERSION}
GSMNAME=${BASENAME}gsm${NETWORK_VERSION}
NFPTTKNAME=${BASENAME}nfpttk${NETWORK_VERSION}
GSMSHDNAME=${BASENAME}gsmshd${NETWORK_VERSION}
LSNRNAME=${BASENAME}lsnr${NETWORK_VERSION}
LSNRCNAME=${BASENAME}lsnrc${NETWORK_VERSION}
RONAME=${BASENAME}ro${NETWORK_VERSION}
ROCNAME=${BASENAME}roc${NETWORK_VERSION}
ROXNAME=${BASENAME}rox${NETWORK_VERSION}
ROTNAME=${BASENAME}rot${NETWORK_VERSION}
CMNAME=${BASENAME}cm${NETWORK_VERSION}
NHOSTNAME=${BASENAME}host${NETWORK_VERSION}
TNSNAME=${BASENAME}tns${NETWORK_VERSION}
ORACLENAME=${BASENAME}oname${NETWORK_VERSION}
NISNAME=${BASENAME}nis${NETWORK_VERSION}
CDSNAME=${BASENAME}cds${NETWORK_VERSION}
NDSNAME=${BASENAME}nds${NETWORK_VERSION}
LDAPNAME=${BASENAME}ldap${NETWORK_VERSION}
LDAPJNAME=${BASENAME}ldapj${NETWORK_VERSION}
NUJNINAME=${BASENAME}jni${NETWORK_VERSION}
JSSLNAME=${BASENAME}jssl${NETWORK_VERSION}
WSSNAME=${BASENAME}twss${NETWORK_VERSION}

NMPNAME=${BASENAME}nmp${NETWORK_VERSION}

TANAME=${BASENAME}ta${NETWORK_VERSION}
TALNAME=${BASENAME}tal${NETWORK_VERSION}
DBRNAME=${BASENAME}dbrouter${NETWORK_VERSION}


SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LOC_LIBNUJNI     =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)
LOC_LIBNFPTTK    =  $(NETWORKLIB)$(LIB_PREFIX)$(NFPTTKNAME).$(LIB_EXT)
LIBNFPTTK        =  $(NETWORKLIB)$(LIB_PREFIX)$(NFPTTKNAME).$(SO_EXT)
LOC_LIBNGSM      =  $(NETWORKLIB)$(LIB_PREFIX)$(GSMNAME).$(LIB_EXT)
LIBNGSM          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSMNAME).$(SO_EXT)
LOC_LIBNGSMSHD   =  $(NETWORKLIB)$(LIB_PREFIX)$(GSMSHDNAME).$(LIB_EXT)
LOC_LIBNWSS   =  $(NETWORKLIB)$(LIB_PREFIX)$(WSSNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)
LLIBNFPTTK        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NFPTTKNAME)$(ILIB_SUFFIX)
LLIBNGSM          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSMNAME)$(ILIB_SUFFIX)
LLIBNGSMSHD       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSMSHDNAME)$(ILIB_SUFFIX)
LLIBNWSS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(WSSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LIBNTTAIO        =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPAIONAME).$(SO_EXT)
LOC_LIBNTTAIO    =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPAIONAME).$(LIB_EXT)
LOC_LIBNTVI      =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LIBNTVI          =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(SO_EXT)
LOC_LIBNTEVQ     =  $(NETWORKLIB)$(LIB_PREFIX)$(QUENAME).$(LIB_EXT)
LIBNTEVQ         =  $(NETWORKLIB)$(LIB_PREFIX)$(QUENAME).$(SO_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)
LIBNTMQ          =  $(NETWORKLIB)$(LIB_PREFIX)$(MQNAME).$(LIB_EXT)
LIBNWSS          =  $(NETWORKLIB)$(LIB_PREFIX)$(WSSNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTVI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)
LLIBNTEVQ         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(QUENAME).$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)
LLIBNTMQ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(MQNAME)$(ILIB_SUFFIX)
LLIBNWSS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(WSSNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)

LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBZT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBDBR           =  $(NETWORKLIB)$(LIB_PREFIX)$(DBRNAME).$(LIB_EXT)



LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBLDAPCLNTNAME)$(ILIB_SUFFIX)

COMMONSHNAME=$(BASENAME)sh$(NETWORK_VERSION)
NLSHNAME=$(BASENAME)lsh$(NETWORK_VERSION)
LDAPSHNAME=$(BASENAME)ldapsh$(NETWORK_VERSION)
ROSHNAME=$(BASENAME)rosh$(NETWORK_VERSION)
LIBNETWORKSH=$(NETWORKLIB)$(LIB_PREFIX)$(COMMONSHNAME).$(SO_EXT)
LIBNLSH=$(NETWORKLIB)$(LIB_PREFIX)$(NLSHNAME).$(SO_EXT)
LIBLDAPSH=$(NETWORKLIB)$(LIB_PREFIX)$(LDAPSHNAME).$(SO_EXT)
LIBRPCSH=$(NETWORKLIB)$(LIB_PREFIX)$(ROSHNAME).$(SO_EXT)
LLIBNETWORKSH=$(LDLIBFLAG)$(COMMONSHNAME)$(ILIB_SUFFIX)
LLIBNLSH=$(LDLIBFLAG)$(NLSHNAME)$(ILIB_SUFFIX)
LLIBLDAPSH=$(LDLIBFLAG)$(LDAPSHNAME)$(ILIB_SUFFIX)
LLIBRPCSH=$(LDLIBFLAG)$(ROSHNAME)$(ILIB_SUFFIX)

LIBNTUS      = $(LIBHOME)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTZ       = $(LIBHOME)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNCR       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)


# Exiting SRCHOME/network/libnames.mk

LIBLDAP      = $(LIBHOME)$(LIB_PREFIX)$(LDAPNAME).$(LIB_EXT)
LIBHOST      = $(LIBHOME)$(LIB_PREFIX)$(NHOSTNAME).$(LIB_EXT)
LIBTNS       = $(LIBHOME)$(LIB_PREFIX)$(TNSNAME).$(LIB_EXT)
LIBONAMES    = $(LIBHOME)$(LIB_PREFIX)$(ORACLENAME).$(LIB_EXT)

# Exiting SRCHOME/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS       = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBNGSMSHD   = $(LIBHOME)$(LIB_PREFIX)$(GSMSHDNAME).$(LIB_EXT)
LLIBNGSMSHD  = $(LDLIBFLAG)$(ILIB_PREFIX)$(GSMSHDNAME)$(ILIB_SUFFIX)

LIBLSNR      = $(LIBHOME)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LLIBLSNR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)

LIBLSNRC     = $(LIBHOME)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)
LLIBLSNRC     = $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSFILE) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNETWORK) $(LIBNL) $(LLIBNGSMSHD)
LLIBSQLNET = $(LDFLAGSLIST) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBNCRYPT) $(LLIBNSGR) $(LLIBNETWORK) $(LLIBNL) $(LLIBNGSMSHD)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)


# Entering SRCHOME/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting SRCHOME/network/s_exports.mk
# Exiting SRCHOME/network/exports.mk
# Entering SRCHOME/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = $(LIBMAJORVSN)
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SH        = $(LIB_PREFIX)$(CORE_LIB_NAME)sh$(CORE_LIB_VER).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)
LLIBCORE_SH       = $(LDLIBFLAG)$(CORE_LIB_NAME)sh$(CORE_LIB_VER)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)

ORAZLIB              = oraz

LIBORAZLIB_STATIC    = $(LIB_PREFIX)$(ORAZLIB).$(LIB_EXT)
LIBORAZLIB_SHARED    = $(LIB_PREFIX)$(ORAZLIB).$(SO_EXT)

LIBORAZLIB           = $(LIBHOME)$(LIBORAZLIB_STATIC)
LLIBORAZLIB          = $(LDLIBFLAG)$(ORAZLIB)

LIBORAZLIB_ARC_LIB   = $(LIBORAZLIB)
LIBORAZLIB_SHARE_LIB = $(LIBHOME)$(LIBORAZLIB_SHARED)

LZOPROLIB           = lzopro

LIBLZOPRO_STATIC    = $(LIB_PREFIX)$(LZOPROLIB).$(LIB_EXT)
LIBLZOPRO_SHARED    = $(LIB_PREFIX)$(LZOPROLIB).$(SO_EXT)

LIBLZOPRO           = $(LIBHOME)$(LIBLZOPRO_STATIC)
LLIBLZOPRO          = $(LDLIBFLAG)$(LZOPROLIB)

LIBLZOPRO_ARC_LIB   = $(LIBLZOPRO)
LIBLZOPRO_SHARE_LIB = $(LIBHOME)$(LIBLZOPRO_SHARED)

ORABZ2LIB              = bz2

LIBORABZ2LIB_STATIC    = $(LIB_PREFIX)$(ORABZ2LIB).$(LIB_EXT)
LIBORABZ2LIB_SHARED    = $(LIB_PREFIX)$(ORABZ2LIB).$(SO_EXT)

LIBORABZ2LIB           = $(LIBHOME)$(LIBORABZ2LIB_STATIC)
LLIBORABZ2LIB          = $(LDLIBFLAG)$(ORABZ2LIB)

LIBORABZ2LIB_ARC_LIB   = $(LIBORABZ2LIB)
LIBORABZ2LIB_SHARE_LIB = $(LIBHOME)$(LIBORABZ2LIB_SHARED)

ORAZIPLIB              = zip

LIBORAZIPLIB_STATIC    = $(LIB_PREFIX)$(ORAZIPLIB).$(LIB_EXT)
LIBORAZIPLIB_SHARED    = $(LIB_PREFIX)$(ORAZIPLIB).$(SO_EXT)

LIBORAZIPLIB           = $(LIBHOME)$(LIBORAZIPLIB_STATIC)
LLIBORAZIPLIB          = $(LDLIBFLAG)$(ORAZIPLIB)

LIBORAZIPLIB_ARC_LIB   = $(LIBORAZIPLIB)
LIBORAZIPLIB_SHARE_LIB = $(LIBHOME)$(LIBORAZIPLIB_SHARED)

ORAZSTDLIB               = zstd

LIBORAZSTDLIB_STATIC     = $(LIB_PREFIX)$(ORAZSTDLIB).$(LIB_EXT)

LIBORAZSTDLIB            = $(PRODLIBHOME)$(LIBORAZSTDLIB_STATIC)
LLIBORAZSTDLIB           = $(LDLIBFLAG)$(ORAZSTDLIB)

LIBORAZSTDLIB_ARC_LIB    = $(LIBORAZSTDLIB)

ORALZ4LIB               = lz4

LIBORALZ4LIB_STATIC     = $(LIB_PREFIX)$(ORALZ4LIB).$(LIB_EXT)

LIBORALZ4LIB            = $(PRODLIBHOME)$(LIBORALZ4LIB_STATIC)
LLIBORALZ4LIB           = $(LDLIBFLAG)$(ORALZ4LIB)

LIBORALZ4LIB_ARC_LIB    = $(LIBORALZ4LIB)

ORACROARLIB               = croaring

LIBORACROARLIB_STATIC   = $(LIB_PREFIX)$(ORACROARLIB).$(LIB_EXT)

LIBORACROARLIB          = $(PRODLIBHOME)$(LIBORACROARLIB_STATIC)
LLIBORACROARLIB         = $(LDLIBFLAG)$(ORACROARLIB)

LIBORACROARLIB_ARC_LIB  = $(LIBORACROARLIB)

CORECOMPRESSLIBS = $(LLIBORAZIPLIB) $(LLIBORAZLIB) $(LLIBLZOPRO) \
$(LLIBORABZ2LIB) $(LLIBORAZSTDLIB) $(LLIBORALZ4LIB) $(PL_CORECOMPRESSLIBS)


















LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


LIB817  = /oracore/sun5/8.1.7.0.0/lib
CORE817 = $(LIB817)/$(LIBCORE_STATIC)
NLS817  = $(LIB817)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/ $(XDKPUBLIC)

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include $(XDKPUBH)


CORELIBD = $(LIBSNLSRTL) $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBSNLSRTL) \
           $(LIBNLSRTL) $(LIBCORE) $(LIBSNLSRTL) $(LIBNLSRTL)  $(LIBUNLSRTL) \
           $(LIBSNLSRTL) $(LIBNLSRTL)
CORELIBS = $(LLIBSNLSRTL) $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBSNLSRTL) \
           $(LLIBNLSRTL) $(LLIBCORE) $(LLIBSNLSRTL) $(LLIBNLSRTL) $(LLIBXML) \
           $(LLIBCORE) $(LLIBUNLSRTL) $(LLIBSNLSRTL) $(LLIBNLSRTL) $(LLIBCORE)\
	   $(LLIBNLSRTL)

CORENATLIB= $(ORACLE_HOME)/oracore/$(LIBDIR)/libcorejava.$(SO_EXT)

ONVM_LIB_NAME     = onvm
ONVM_LIB_VER      = $(LIBMAJORVSN)
ONVM_LIB          = $(ONVM_LIB_NAME)$(ONVM_LIB_VER)
LIBONVM           = $(LIBHOME)$(LIB_PREFIX)$(ONVM_LIB).$(LIB_EXT)
LLIBONVM          = $(LDLIBFLAG)$(ONVM_LIB)
LIBONVM_STATIC    = $(LIB_PREFIX)$(ONVM_LIB).$(LIB_EXT)

ONVMS_LIB_NAME    = onvms
ONVMS_LIB_VER     = $(LIBMAJORVSN)
ONVMS_LIB         = $(ONVMS_LIB_NAME)$(ONVMS_LIB_VER)
LIBONVMS          = $(LIBHOME)$(LIB_PREFIX)$(ONVMS_LIB).$(LIB_EXT)
LLIBONVMS         = $(LDLIBFLAG)$(ONVMS_LIB)
LIBONVMS_STATIC   = $(LIB_PREFIX)$(ONVMS_LIB).$(LIB_EXT)

NVM_CX_LOC=$(ORACLE_HOME)/oracore/src/coreos/onvm/port
NVM_CX=$(NVM_CX_LOC)/clang
NVM_CX_ZIP=$(NVM_CX).zip

ODMF_LIB_NAME     = odmf
ODMF_LIB_VER      = $(LIBMAJORVSN)
ODMF_LIB          = $(ODMF_LIB_NAME)$(ODMF_LIB_VER)
LIBODMF           = $(LIBHOME)$(LIB_PREFIX)$(ODMF_LIB).$(LIB_EXT)
LLIBODMF          = $(LDLIBFLAG)$(ODMF_LIB)
LIBODMF_STATIC    = $(LIB_PREFIX)$(ODMF_LIB).$(LIB_EXT)

LIBKAFKA          = orardkafka
LIBKAFKA_VER		  = 1

LIBKAFKA_STATIC   = $(LIB_PREFIX)$(LIBKAFKA)$(LIBKAFKA_VER).$(LIB_EXT)
LIBKAFKA_SHARED   = $(LIB_PREFIX)$(LIBKAFKA)$(LIBKAFKA_VER).$(SO_EXT)

LIBKAFKA_LOC      = $(COREHOME)$(LIBDIR)/$(LIBKAFKA_STATIC)
LLIBKAFKA         = $(LDLIBFLAG)$(LIBKAFKA)$(LIBKAFKA_VER)

LIBKAFKASO			  = $(COREHOME)$(LIBDIR)/$(LIBKAFKA_SHARED)


# Entering SRCHOME/oracore/s_exports.mk

PL_CORECOMPRESSLIBS=$(IPPCOMPRESSLIBS)

IPP_DIR=/usr/local/packages/ipp_remote/2021.10.patched/

IPPCORE=ippcore
LIBIPPCORE=$(LIB_PREFIX)$(IPPCORE).$(LIB_EXT)
LLIBIPPCORE=$(LDLIBFLAG)$(IPPCORE)

IPPDC=ippdc
LIBIPPDC=$(LIB_PREFIX)$(IPPDC).$(LIB_EXT)
LLIBIPPDC=$(LDLIBFLAG)$(IPPDC)

IPPS=ipps
LIBIPPS=$(LIB_PREFIX)$(IPPS).$(LIB_EXT)
LLIBIPPS=$(LDLIBFLAG)$(IPPS)


IPPSAMPLEZLIB=ipp_z
LIBIPPSAMPLEZLIB=$(LIB_PREFIX)$(IPPSAMPLEZLIB).$(LIB_EXT)
LLIBIPPSAMPLEZLIB=$(LDLIBFLAG)$(IPPSAMPLEZLIB)

IPPSAMPLEBZ2 =ipp_bz2
LIBIPPSAMPLEBZ2=$(LIB_PREFIX)$(IPPSAMPLEBZ2).$(LIB_EXT)
LLIBIPPSAMPLEBZ2=$(LDLIBFLAG)$(IPPSAMPLEBZ2)

IPPCOMPLIBS  = $(LLIBIPPDC) $(LLIBIPPS)
IPPCORELIBS  = $(LLIBIPPCORE)
IPPSAMPLELIBS= $(LLIBIPPSAMPLEZLIB) $(LLIBIPPSAMPLEBZ2)
IPPCOMPRESSLIBS = $(IPPSAMPLELIBS) $(IPPCOMPLIBS) $(IPPCORELIBS) 

LZOPROLIB=lzopro5
 

ORABZ2LIB = orabz2

ORAZIPLIB = orazip
 
ORAZSTDLIB = orazstd
 
ORALZ4LIB = oralz4

ORACROARLIB = oracroaring
 
S_BUILD_LIBCOREJAVA=\
  $(SHLIB_LD) -Wl,--whole-archive $(COREJAVALIB) -Wl,--no-whole-archive \
  $(RTLIBS) $(SPLIBS)

$(CORENATLIB) $(LIBHOME)libcorejava.$(SO_EXT) :
	$(S_BUILD_LIBCOREJAVA)

S_BUILD_KAFKA=\
      $(SHLIB_LD) -Bsymbolic -Wl,--whole-archive $(LIBKAFKA_LOC)				\
			-Wl,--no-whole-archive  $(LLIBORALZ4LIB) $(LLIBORAZIPLIB) $(LLIBCORE) \
			-lsasl2 -lssl -lcrypto -lm -ldl

INSTALL_CORE_TARGS+=i${LIBKAFKA}

$(LIBKAFKASO) $(LIBHOME)libordkafka$(LIBKAFKA_VER).$(SO_EXT):
	$(S_BUILD_KAFKA)

SSLARCHCFG=sslarchcfg
SSLARCHCFGS=$(SSLARCHCFG).s

disable_larch_features: $(SSLARCHCFG).o
	$(SILENT)$(ARREPLACE) $(LIBCORE) $^
	$(SILENT)$(ECHO) "Make sure to relink your binaries to disable" \
	                 "larch features '"$(LARCH_FEATURES)"'"

$(SSLARCHCFG).o: clean_sslarch $(SSLARCHCFGS)
	$(SILENT)$(AS) $(ASFLAGS) -o $@ $(SSLARCHCFGS)

clean_sslarch:
	$(SILENT)$(RMF) $(SSLARCHCFGS)

$(SSLARCHCFGS):
	$(SILENT)$(ECHO) '.section .rodata, "a"!.globl sslarchcfgdf!' \
	     'sslarchcfgdf:!.ascii "'$(LARCH_FEATURES)'"!.byte 0!' \
	     '.type sslarchcfgdf,@object!.size sslarchcfgdf,.-sslarchcfgdf!' \
	| $(TR) '!' '\012' > $@


PLATFORM_BYTE_ORDERING = little

# Exiting SRCHOME/oracore/s_exports.mk
# Exiting SRCHOME/oracore/exports.mk
# Entering SRCHOME/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS10 = $(ORACLE_HOME)/nls/data/

NLSRTL_VERSION=$(LIBMAJORVSN)
NLSRTL_DEBUG_LIBTAG = 

LIBNLSRTLNAME = nls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

LIBUNLSRTLNAME = unls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBUNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBUNLSRTLNAME).$(LIB_EXT)
LLIBUNLSRTL= $(LDLIBFLAG)$(LIBUNLSRTLNAME)$(LIB_SUFFIX)

LIBSNLSRTLNAME = snls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBSNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBSNLSRTLNAME).$(LIB_EXT)
LLIBSNLSRTL= $(LDLIBFLAG)$(LIBSNLSRTLNAME)$(LIB_SUFFIX)

LIBLXLEDNAME = lxled$(NLSRTL_DEBUG_LIBTAG)
LIBLXLED= $(LIBHOME)$(LIB_PREFIX)$(LIBLXLEDNAME).$(LIB_EXT)
LLIBLXLED= $(LDLIBFLAG)$(LIBLXLEDNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include

GSSHOME = $(ORACLE_HOME)/nlsrtl3/java
GSSCLASSES11 = $(ORACLE_HOME)/jlib/orai18n.jar
GSSCLASSES12 = $(ORACLE_HOME)/jlib/orai18n.jar
GSSCHARSET11 = $(ORACLE_HOME)/jlib/orai18n.jar
GSSCHARSET12 = $(ORACLE_HOME)/jlib/orai18n.jar

GDKHOME = $(ORACLE_HOME)/nlsrtl3/java
GDKCLASSES = $(ORACLE_HOME)/jlib/orai18n.jar$(PATHSEP)$(ORACLE_HOME)/jlib/orai18n-lcsd.jar
NLSRTL_JARS = \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-mapping.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-utility.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-collation.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-translation.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-net.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-servlet.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-tools.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-lcsd.jar

NLSRTL_JARS_FOR_GENERAL = \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-mapping.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-utility.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-collation.jar

NLSRTL_JARS_FOR_DBJAVA_JAVAVM = \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-mapping.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-utility.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-collation.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-net.jar

NLSRTL_JARS_FOR_DBJAVA_CLIENT = \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n.jar \
  $(ORACLE_HOME)/nlsrtl3/jlib/orai18n-mapping.jar

NLSRTL_SHIPHOME_JARS_FOR_DBJAVA_CLIENT = \
  $(ORACLE_HOME)/jlib/orai18n.jar \
  $(ORACLE_HOME)/jlib/orai18n-mapping.jar

# Entering SRCHOME/nlsrtl/s_exports.mk

LIBNLSRTLSHNAME = nlssh$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBUNLSRTLSHNAME = unlssh$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBSNLSRTLSHNAME = snlssh$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)

LLIBNLSSH=-lnlssh$(NLSRTL_VERSION)
LLIBSNLSSH=-lsnlssh$(NLSRTL_VERSION)
LLIBUNLSSH=-lunlssh$(NLSRTL_VERSION)

# Exiting SRCHOME/nlsrtl/s_exports.mk
# Exiting SRCHOME/nlsrtl/exports.mk
# Entering SRCHOME/rdbms/exports.mk

RDBMS_VERSION=$(LIBMAJORVSN)
RDBMS_CLIENT_VERSION=$(CLIENT_LIBMAJORVSN)
RDBMS_MINOR_VERSION=1

RDBMS_MAJOR_VERSION=$(MAJORVSN)

RDBMS_CLIENT_LIBMAJORVSN=$(CLIENT_LIBMAJORVSN)
RDBMS_CLIENT_LIBMINORVSN=1

RDBMSLIB_VERSION=-DRDBMS_LIBRARY_VERSION=$(RDBMS_CLIENT_VERSION)

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME) $(S_STATIC_IPPLIBS)

LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(DEPLIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBCLIENTNAME)$(ILIB_SUFFIX)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(DEPLIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBGENERICNAME)$(ILIB_SUFFIX)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

LIBSKGTRNAME=skgtr$(RDBMS_VERSION)
LIBSKGTR_MPMT=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGTRNAME).$(SKGTR_EXT)
LIBSKGTR_=
LIBSKGTR=$(LIBSKGTR_$(MPMT_SERVER))
LLIBSKGTR_MPMT=$(LDLIBFLAG)$(LIBSKGTRNAME)
LLIBSKGTR_=
LLIBSKGTR=$(LLIBSKGTR_$(MPMT_SERVER))

LIBDBMIGNAME=dbmig$(RDBMS_VERSION)
LIBDBMIG_DEPS=$(LLIBCLNTSH)

LIBASMCLNTNAME=asmclnt$(RDBMS_VERSION)
LIBASMCLNT=$(LIBHOME)$(LIB_PREFIX)$(LIBASMCLNTNAME).$(DEPLIB_EXT)
LLIBASMCLNT=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBASMCLNTNAME)$(ILIB_SUFFIX)
LIBASMCLNT_DEPS=$(LLIBCLNTSH) $(LLIBHASGEN) $(LLIBSKGXN) $(LLIBCOMMON) $(LLIBOCR) $(LLIBGENERIC) $(LLIBSAGE) $(LLIBSKGXP) $(LLIBXML)

LIBASMCLNTSHNAME=asmclntsh$(RDBMS_VERSION)
LIBASMCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBASMCLNTSHNAME).$(DEPSO_EXT)
LLIBASMCLNTSH=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBASMCLNTSHNAME)$(ILIB_SUFFIX)
LIBASMCLNTSH_DEPS=$(LLIBCLNTSH) $(LLIBHASGEN) $(LLIBSKGXN) $(LLIBCOMMON) $(LLIBOCR) $(LLIBGENERIC) $(LLIBSAGE) $(LLIBSKGXP) $(LLIBXML)

LIBPATCHGENSHNAME=patchgensh$(RDBMS_VERSION)
LIBPATCHGENSH=$(LIBHOME)$(LIB_PREFIX)$(LIBPATCHGENSHNAME).$(DEPSO_EXT)
LLIBPATCHGENSH=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPATCHGENSHNAME)$(ILIB_SUFFIX)
LIBPATCHGENSH_DEPS=$(LLIBCLNTSH) $(LLIBASMCLNTSH)

ENCRYPTLIBS = $(PL_ENCRYPTLIBS)

LIBSKGXNNAME=skgxn$(RDBMS_VERSION)
LIBSKGXN=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)
LLIBSKGXN=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBSKGXNNAME)$(LIB_SUFFIX)
LIBSKGXNI=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)

LIBOCCINAME=occi
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME)$(RDBMS_VERSION).$(LIB_EXT)
LLIBOCCI=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBOCCINAME)$(RDBMS_VERSION)$(ILIB_SUFFIX)
LLIBOCCISTATIC=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)

LIBCDFNAME=cdf
LIBCDF=$(LIBHOME)$(LIB_PREFIX)$(LIBCDFNAME)$(RDBMS_VERSION).$(LIB_EXT)
LLIBCDF=$(LDLIBFLAG)$(LIBCDFNAME)$(RDBMS_VERSION)

LIBWSECNAME=wsec
LIBWSEC=$(LIBHOME)$(LIB_PREFIX)wsec$(RDBMS_VERSION).$(LIB_EXT)
LLIBWSEC=$(LDLIBFLAG)$(LIB_PREFIX)$(LIBWSECNAME)$(RDBMS_VERSION)$(ILIB_SUFFIX)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(DEPLIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBCOMMONNAME)$(ILIB_SUFFIX)

LIBEVANAME=eva$(RDBMS_VERSION)
LIBEVA=$(LIBHOME)$(LIB_PREFIX)$(LIBEVANAME).$(LIB_EXT)
LLIBEVA=$(LDLIBFLAG)$(LIBEVANAME)

LIBEVADMSCONAME=evadmsco$(RDBMS_VERSION)
LIBEVADMSCO=$(LIBHOME)$(LIB_PREFIX)$(LIBEVADMSCONAME).$(LIB_EXT)
LLIBEVADMSCO=$(LDLIBFLAG)$(LIBEVADMSCONAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(DEPSO_EXT)
LLIBVSN=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBVSNNAME)$(ILIB_SUFFIX)

LIBVSNST4XENAME=vsnxe$(RDBMS_VERSION)
LIBVSNST4XE=$(RDBMSLIB)$(LIB_PREFIX)$(LIBVSNST4XENAME).$(LIB_EXT)
LLIBVSNST4XE=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBVSNST4XENAME)$(ILIB_SUFFIX)

LIBVSNSTNAME=vsnst$(RDBMS_VERSION)
LIBVSNST=$(RDBMSLIB)$(LIB_PREFIX)$(LIBVSNSTNAME).$(LIB_EXT)
LLIBVSNST=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBVSNSTNAME)$(ILIB_SUFFIX)
LIBVSN_SERVER=$(LIBVSNST)
LLIBVSN_SERVER=$(LLIBVSNST)

LIBEDTNNAME=edtn$(RDBMS_VERSION)
LIBEDTN=$(LIBHOME)$(LIB_PREFIX)$(LIBEDTNNAME).$(LIB_EXT)
LLIBEDTN=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBEDTNNAME)$(ILIB_SUFFIX)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBAGENTNAME)$(LIB_SUFFIX)

LIBHGOSHNAME=hgosh$(RDBMS_VERSION)
LIBHGOSH=$(LIBHOME)$(LIB_PREFIX)$(LIBHGOSHNAME).$(LIB_EXT)
LLIBHGOSH=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGOSHNAME)$(LIB_SUFFIX)

LIBHGMSQLNAME=hgmsql$(RDBMS_VERSION)
LIBHGMSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBHGMSQLNAME).$(LIB_EXT)
LLIBHGMSQL=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGMSQLNAME)$(LIB_SUFFIX)

LIBHGSYBSNAME=hgsybs$(RDBMS_VERSION)
LIBHGSYBS=$(LIBHOME)$(LIB_PREFIX)$(LIBHGSYBSNAME).$(LIB_EXT)
LLIBHGSYBS=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGSYBSNAME)$(LIB_SUFFIX)

LIBHGIFMXNAME=hgifmx$(RDBMS_VERSION)
LIBHGIFMX=$(LIBHOME)$(LIB_PREFIX)$(LIBHGIFMXNAME).$(LIB_EXT)
LLIBHGIFMX=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGIFMXNAME)$(LIB_SUFFIX)

LIBHGTERANAME=hgtera$(RDBMS_VERSION)
LIBHGTERA=$(LIBHOME)$(LIB_PREFIX)$(LIBHGTERANAME).$(LIB_EXT)
LLIBHGTERA=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGTERANAME)$(LIB_SUFFIX)

LIBHGDB2NAME=hgdb2$(RDBMS_VERSION)
LIBHGDB2=$(LIBHOME)$(LIB_PREFIX)$(LIBHGDB2NAME).$(LIB_EXT)
LLIBHGDB2=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGDB2NAME)$(LIB_SUFFIX)

LIBHGGCONNAME=hggcon$(RDBMS_VERSION)
LIBHGGCON=$(LIBHOME)$(LIB_PREFIX)$(LIBHGGCONNAME).$(LIB_EXT)
LLIBHGGCON=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGGCONNAME)$(LIB_SUFFIX)

LIBHGOTRACENAME=hgotrace$(RDBMS_VERSION)
LIBHGOTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBHGOTRACENAME).$(SO_EXT)
LLIBHGOTRACE=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBHGOTRACENAME)$(LIB_SUFFIX)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBNNETNAME=nnet$(RDBMS_VERSION)
LIBNNET=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNNETNAME).$(LIB_EXT)
LLIBNNET=$(LDLIBFLAG)$(LIBNNETNAME)

LIBNNETDNAME=nnetd$(RDBMS_VERSION)
LIBNNETD=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNNETDNAME).$(LIB_EXT)
LLIBNNETD=$(LDLIBFLAG)$(LIBNNETDNAME)

LIBNNET_CLT=$(LIBNNETD)
LLIBNNET_CLT=$(LLIBNNETD)

DLMHOME=$(ORACLE_HOME)/odlm/

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBNNET_CLT) $(LIBSKGXP_CLT) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBNNET_CLT) $(LLIBSKGXP_CLT) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN_SERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN_SERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LIBCLNTSHCORENAME=clntshcore
LIBCLNTSHCORE=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHCORENAME).$(SO_EXT)
LLIBCLNTSHCORE=$(LDLIBFLAG)$(LIBCLNTSHCORENAME)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME) $(LLIBCLNTSHCORE)
LIBCLNTSH_NPT=
LLIBCLNTSH_NPT=

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBKNLOPTNAME)$(LIB_SUFFIX)

LIBAVSTUBNAME=avstub$(RDBMS_VERSION)
LIBAVSTUB=$(LIBHOME)$(LIB_PREFIX)$(LIBAVSTUBNAME).$(LIB_EXT)
LLIBAVSTUB=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBAVSTUBNAME)$(LIB_SUFFIX)

LIBAVSERVERNAME=avserver$(RDBMS_VERSION)
LIBAVSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBAVSERVERNAME).$(LIB_EXT)
LLIBAVSERVER=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBAVSERVERNAME)$(LIB_SUFFIX)

LIBAVCLIENTNAME=avclient$(RDBMS_VERSION)
LIBAVCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAVCLIENTNAME).$(LIB_EXT)
LLIBAVCLIENT=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBAVCLIENTNAME)$(LIB_SUFFIX)

AVLIBS = `if [ -f $(LIBAVSERVER) ] ; then echo "$(LLIBAVSERVER)" ; else echo "$(LLIBAVSTUB)"; fi` `if [ -f $(LIBAVCLIENT) ] ; then echo "$(LLIBAVCLIENT)" ; fi`

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)


LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv $(LIBKNLOPT) | $(GREP) "kxmnsd.$(OBJ_EXT)" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO} ${LLIBSERVER}"; fi`

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)$(LIBDIR)/
RDBMSADMIN=$(RDBMSHOME)admin/

ORAMAPLIB=$(RDBMSLIB)

LIBNIDNAME=nid
LIBNID=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNIDNAME).$(LIB_EXT)
LLIBNID=$(LDLIBFLAG)$(LIBNIDNAME)

THREAD_ORALIBS_MPMT=-lpthread
THREAD_ORALIBS_=
THREAD_ORALIBS=$(THREAD_ORALIBS_$(MPMT_SERVER))


ORACLE_KERNEL_LIBS=$(LLIBPERFSRV) $(NAETTOBJS) $(CONFIG) \
	$(SPOBJS) $(LLIBDMEXT) $(LLIBSERVER) $(LLIBOFS) \
	$(LLIBSAGE4ORACLE) \
	$(LLIBNNET) $(LLIBSKGXP) $(CORELIBS) $(LLIBRDBMS_SERVER) \
	$(LLIBKNLOPT) $(OLAPLINKOPTS) $(LLIBSKJCX) \
	$(LLIBSLAX) $(LLIBPLSQL) $(LLIBDMEXT) $(LLIBSERVER) $(LLIBRDBMS_SERVER) $(AVLIBS) \
	$(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) $(LLIBJAVAVMORJOX) \
	$(LLIBOCIJDBCST) $(LLIBWWG) $(NTZEOBJ) $(NETLIBS) $(NZLIBS_SERVER) \
	$(LLIBMM) $(CORELIBS) $(LLIBZTKG) \
	$(NETLIBS) $(NZLIBS_SERVER) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
	$(SDOLIBS) $(CARTLIBS) $(LLIBCLSCEST) $(LLIBEVM) \
	$(CLSRLIBS_SERVER) $(CSSCLNTLIBS_SERVER) \
	$(LLIBGENERIC) \
	$(CORECOMPRESSLIBS) $(ENCRYPTLIBS)  \
	$(CORELIBS) $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBLXLED) $(LLIBXSD) $(CORELIBS) \
	$(LLIBASMCLNT) $(LLIBCOMMON) $(LLIBCORE) $(LLIBSKGTR) $(LLIBEDTN) \
	$(PL_ORALIBS) $(LLIBONSNOSSL) $(THREAD_ORALIBS) $(IPCLIBS_SERVER) \
	$(LLIBOMS) $(IPCLIBS)

LIBORIONNAME=orion$(RDBMS_VERSION)
LIBORION=$(LIBHOME)$(LIB_PREFIX)$(LIBORIONNAME).$(LIB_EXT)
LLIBORION=$(LDLIBFLAG)$(LIBORIONNAME)

LIBASMLGNAME=asmlg$(RDBMS_VERSION)
LIBASMLG=$(RDBMSLIB)$(LIB_PREFIX)$(LIBASMLGNAME).$(SO_EXT)
LLIBASMLG=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBASMLGNAME)$(ILIB_SUFFIX)

LIBDSGANAME=dsga$(RDBMS_VERSION)
LIBDSGA=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDSGANAME).$(LIB_EXT)
LLIBDSGA=$(LDLIBFLAG)$(LIBDSGANAME)
LOC_LIBDSGA=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDSGANAME).$(LIB_EXT)

LIBDBGUISSNAME=dbguiss
LOC_LIBDBGUISS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBGUISSNAME).$(LIB_EXT)
LIBDBGUISS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBGUISSNAME).$(SO_EXT)
LLIBDBGUISS=$(LDLIBFLAG)$(LIBDBGUISSNAME)

LIBNHPNAME=nhp$(RDBMS_VERSION)
LLIBNHP=$(LDLIBFLAG)$(LIBNHPNAME)
LOC_LIBNHP=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNHPNAME).$(LIB_EXT)

ASMCLNT_LIBS=$(LLIBASMCLNT) $(LLIBCOMMON) $(LLIBSAGE) $(LLIBSKGXP) \
             $(LLIBGENERIC)
ASMCLNTSH_LIBS=$(LLIBASMCLNTSH) $(LLIBSAGE) $(LLIBSKGXP)
ASMCLNT_OCR_LIBS=$(ASMCLNT_LIBS)
ASMCLNT_CSS_LIBS=$(ASMCLNT_LIBS)


LINK_JOX_STATICALLY=yes

LIBDPSCNAME=dpsc$(RDBMS_VERSION)
LIBDPSC=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSCNAME).$(LIB_EXT)
LLIBDPSC=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSCNAME)$(LIB_SUFFIX)

LIBDPSSNAME=dpss$(RDBMS_VERSION)
LIBDPSS=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSSNAME).$(LIB_EXT)
LLIBDPSS=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSSNAME)$(LIB_SUFFIX)

LIBDPSPNAME=dpsp$(RDBMS_VERSION)
LIBDPSP=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSPNAME).$(LIB_EXT)
LLIBDPSP=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSPNAME)$(LIB_SUFFIX)

LIBDPSFNAME=dpsf$(RDBMS_VERSION)
LIBDPSF=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSFNAME).$(LIB_EXT)
LLIBDPSF=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSFNAME)$(LIB_SUFFIX)
LIBDPSADAPINAME=dpsadapi$(RDBMS_VERSION)
LIBDPSADAPI=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSADAPINAME).$(LIB_EXT)
LLIBDPSADAPI=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSADAPINAME)$(LIB_SUFFIX)

LIBDPSADRDANAME=dpsadrda$(RDBMS_VERSION)
LIBDPSADRDA=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSADRDANAME).$(LIB_EXT)
LLIBDPSADRDA=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSADRDANAME)$(LIB_SUFFIX)
LIBDPSADDFDNAME=dpsaddfd$(RDBMS_VERSION)
LIBDPSADDFD=$(LIBHOME)$(LIB_PREFIX)$(LIBDPSADDFDNAME).$(LIB_EXT)
LLIBDPSADDFD=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBDPSADDFDNAME)$(LIB_SUFFIX)

LIBFTHREADNAME=fthread$(RDBMS_VERSION)
LIBFTHREAD=$(RDBMSLIB)$(LIB_PREFIX)$(LIBFTHREADNAME).$(LIB_EXT)
LLIBFTHREAD=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBFTHREADNAME)$(LIB_SUFFIX)

LIBBDTOOLNAME=bdtool$(RDBMS_VERSION)
LIBBDTOOL=$(RDBMSLIB)$(LIB_PREFIX)$(LIBBDTOOLNAME).$(LIB_EXT)
LLIBBDTOOL=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBBDTOOLNAME)$(LIB_SUFFIX)

# Entering SRCHOME/rdbms/export_banner.mk

# Exiting SRCHOME/rdbms/export_banner.mk
# Entering SRCHOME/rdbms/s_exports.mk


LIBPERFSRVNAME=perfsrv$(RDBMS_VERSION)
LIBPERFSRV=$(LIBHOME)$(LIB_PREFIX)$(LIBPERFSRVNAME).$(LIB_EXT)
LLIBPERFSRV=-Wl,--whole-archive $(LDLIBFLAG)$(LIBPERFSRVNAME)$(LIB_SUFFIX) -Wl,--no-whole-archive

SKGXP_EXT=$(SO_EXT)



SKGXN_EXT=$(SO_EXT)


SKGXN_VERSION=2

SKJCX_EXT=$(SO_EXT)


LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME).$(SO_EXT).$(RDBMS_CLIENT_LIBMAJORVSN).$(RDBMS_CLIENT_LIBMINORVSN)


LIBSKGXNNAME=skgxn$(SKGXN_VERSION)
LIBSKGXN=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)


DSGALIBLIST=$(RDBMSLIB)dsgaliblist

IPPCP=ippcp
LIBIPPCP=$(LIB_PREFIX)$(IPPCP).$(LIB_EXT)
LLIBIPPCP=$(LDLIBFLAG)$(IPPCP)


PL_ENCRYPTLIBS = $(LLIBIPPCP)

ifeq ($(PLATFORM), x86_64)
  ORACLESTLIBS += $(LLIBORACROARLIB)
endif

S_STATIC_IPPLIBS=$(LDLIBFLAG)ippdc $(LDLIBFLAG)ipps $(LDLIBFLAG)ippcp

ifeq ($(PLATFORM), x86_64) 
ORACLE_KERNEL_LIBS+= $(LLIBFTHREAD)
endif 

ifeq ($(PLATFORM), x86_64)
IPCLIBS_SERVER = $(IPCLIBS)
endif 

# Exiting SRCHOME/rdbms/s_exports.mk
# Exiting SRCHOME/rdbms/exports.mk
# Entering SRCHOME/plsql/exports.mk

PLSQL_VERSION=$(LIBMAJORVSN)

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(DEPLIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION)$(PLS_PIC)$(ILIB_SUFFIX) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(DEPLIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION)$(PLS_PIC)$(ILIB_SUFFIX)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(DEPLIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION)$(PLS_PIC)$(ILIB_SUFFIX)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(DEPLIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)$(PLS_PIC)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)$(PLS_PIC) $(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)$(PLS_PIC)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(PLSQL_VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)$(PLS_PIC)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)$(PLS_PIC)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION)$(PLS_PIC)$(LIB_SUFFIX)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBPSANAME)$(PLSQL_VERSION)$(PLS_PIC)$(LIB_SUFFIX)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering SRCHOME/plsql/s_exports.mk


LLIBPLS+=-lrt
PLS_PIC=_pic

# Exiting SRCHOME/plsql/s_exports.mk
# Exiting SRCHOME/plsql/exports.mk
# Entering SRCHOME/slax/exports.mk

TOP = $(ORACLE_HOME)/slax

SLAX_VERSION=$(LIBMAJORVSN)
LIBSLAXNAME=slax$(SLAX_VERSION)
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)$(LIBDIR)/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include

# Entering SRCHOME/slax/s_exports.mk

# Exiting SRCHOME/slax/s_exports.mk
# Exiting SRCHOME/slax/exports.mk
# Entering SRCHOME/xdk/exports.mk

XDKHOME    = $(ORACLE_HOME)/xdk/

XDK_LIB_VER    = $(LIBMAJORVSN)



XML_LIB_NAME     = xml
XML_LIB_VER      = $(XDK_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB   = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)

XDKPUBLIC=$(XDKHOME)include $(XDKHOME)public

XDKPUBH=$(I_SYM)$(XDKHOME)include $(I_SYM)$(XDKHOME)public



XMLORGJAR = $(XDKSRC)java/lib/xmlorg.jar
XMLORG1JAR = $(XDKSRC)java/lib/xmlorg1.jar
JAXP_SERVICESJAR = $(XDKSRC)java/lib/jaxp_services.jar

XMLORG2JAR = $(XDKSRC)java/lib/xmlorg2.jar

JAXB2JAR = $(ORACLE_HOME)/jlib/jaxb-api-2.3.1.jar


XML = xml
XMLJAR = $(LIBHOME)$(XML).$(JAR_EXT)

XMLPARSERV2 = xmlparserv2
XMLPARSERV2A = xmlparserv2_sans_jaxp_services
XMLPARSERV2B = xmlparserv2_jaxp_services

XMLPARSERV2JAR = $(LIBHOME)$(XMLPARSERV2).$(JAR_EXT)
XMLPARSERV2AJAR = $(LIBHOME)$(XMLPARSERV2A).$(JAR_EXT)
XMLPARSERV2BJAR = $(LIBHOME)$(XMLPARSERV2B).$(JAR_EXT)

XMLMESG = xmlmesg
XMLMESGJAR = $(LIBHOME)$(XMLMESG).$(JAR_EXT)

XMLCOMP = xmlcomp
XMLCOMPJAR = $(LIBHOME)$(XMLCOMP).$(JAR_EXT)

XMLCOMP2 = xmlcomp2
XMLCOMP2JAR = $(LIBHOME)$(XMLCOMP2).$(JAR_EXT)

XMLDEMO = xmldemo

CLASSGEN = classgen
CLASSGENJAR = $(LIBHOME)$(CLASSGEN).$(JAR_EXT)

XSCHEMA = xschema
XSCHEMAJAR  = $(LIBHOME)$(XSCHEMA).$(JAR_EXT)

XSQL = oraclexsql
XSQLJAR = $(LIBHOME)$(XSQL).$(JAR_EXT)

XSQLSERIAL = xsqlserializers
XSQLSERIALJAR = $(LIBHOME)$(XSQLSERIAL).$(JAR_EXT)

XSU = xsu12
XSUJAR = $(LIBHOME)$(XSU).$(JAR_EXT)

TRANSX = transx
TRANSXJAR  = $(LIBHOME)$(TRANSX).$(ZIP_EXT)

JAXBJAR = $(ORACLE_HOME)/jlib/jaxb-api-2.3.1.jar

XQUERY = xquery
XQUERYJAR  = $(LIBHOME)$(XQUERY).$(JAR_EXT)

OXQUERY = oxquery
OXQUERYJAR  = $(LIBHOME)$(OXQUERY).$(JAR_EXT)
OXQUERYEE = oxquery-ee
OXQUERYEEJAR  = $(LIBHOME)$(OXQUERYEE).$(JAR_EXT)
OXQUERYXBA = oxquery-xmlbeans-interop
OXQUERYXBAJAR = $(LIBHOME)$(OXQUERYXBA).$(JAR_EXT)
OXQUERYXBB = oxquery-beaxmlbeans-interop
OXQUERYXBBJAR = $(LIBHOME)$(OXQUERYXBB).$(JAR_EXT)
OXQUERYHE = oxh

XQJAPI = xqjapi
XQJAPIJAR  = $(LIBHOME)$(XQJAPI).$(JAR_EXT)

XQJORI = xqjori
XQJORIJAR  = $(LIBHOME)$(XQJORI).$(JAR_EXT)


# Entering SRCHOME/xdk/s_exports.mk
 
# Exiting SRCHOME/xdk/s_exports.mk
# Exiting SRCHOME/xdk/exports.mk
# Entering SRCHOME/javavm/exports.mk
JAVAVMFORRDBMSBASENAME = javavm$(RDBMS_VERSION)# should eventually be javavm$(LIBMAJORVSN)
LIBJAVAVMFORRDBMSBASENAME = $(LIB_PREFIX)$(JAVAVMFORRDBMSBASENAME)
LIBJAVAVM=$(LIBHOME)$(LIBJAVAVMFORRDBMSBASENAME).$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)$(JAVAVMFORRDBMSBASENAME)

# Entering SRCHOME/javavm/javavm_common.mk

# Exiting SRCHOME/javavm/javavm_common.mk
# Entering SRCHOME/javavm/s_exports.mk

# Exiting SRCHOME/javavm/s_exports.mk
# Exiting SRCHOME/javavm/exports.mk
# Entering SRCHOME/oss/exports.mk


OSSHOME = $(ORACLE_HOME)/oss/
OSSPUBLIC = $(OSSHOME)include 
CLEAN_OSS=clean_oss

OSSPUBH = $(I_SYM)$(OSSPUBLIC)

LIBSAGENAME = cell$(RDBMS_VERSION)
LIBSAGESTNAME = cellst$(RDBMS_VERSION)


LLIBSAGE = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBSAGENAME)$(LIB_SUFFIX)

LLIBSAGE4ORACLE=$(LLIBSAGE)

# Entering SRCHOME/oss/s_exports.mk

LLIBSAGE4ORACLE=-l:libcell.a
# Exiting SRCHOME/oss/s_exports.mk

# Exiting SRCHOME/oss/exports.mk
# Entering SRCHOME/ipc/exports.mk


IPCHOME = $(ORACLE_HOME)/ipc/

CLEAN_IPC=clean_ipc

IPCPUBH = $(I_SYM)$(IPCHOME)include $(I_SYM)$(IPCHOME)public $(I_SYM)$(IPCHOME)src/ipcor $(I_SYM)$(IPCHOME)src/ipclnt/xport/include $(I_SYM)$(IPCHOME)src/ipclnt/thirdparty/nghttp2/include $(I_SYM)$(IPCHOME)src/ipcor/numasvc $(I_SYM)$(IPCHOME)src/ipcor/numa $(I_SYM)$(IPCHOME)src/ipcor/netsvc  $(I_SYM)$(IPCHOME)src/ipcor/toposvc

IPC_VERSION = 1

LIBIPCPRODNAME = ipc$(IPC_VERSION)
LIBIPC = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCPRODNAME).$(DEPLIB_EXT)
LLIBIPC = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCPRODNAME)$(ILIB_SUFFIX)

LIBMQLPRODNAME = mql$(IPC_VERSION)
LIBMQL = $(LIBHOME)$(LIB_PREFIX)$(LIBMQLPRODNAME).$(DEPLIB_EXT)
LLIBMQL = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBMQLPRODNAME)$(ILIB_SUFFIX)

LIBIPCORPRODNAME = ipcor$(IPC_VERSION)
LIBIPCOR = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCORPRODNAME).$(DEPLIB_EXT)
LLIBIPCOR = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCORPRODNAME)$(ILIB_SUFFIX)

LIBIPCGLPRODNAME = ipcgl$(IPC_VERSION)
LIBIPCGL = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCGLPRODNAME).$(DEPLIB_EXT)
LLIBIPCGL = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCGLPRODNAME)$(ILIB_SUFFIX)

LIBIPCGLEXPRODNAME = ipcglex$(IPC_VERSION)
LIBIPCGLEX = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCGLEXPRODNAME).$(DEPLIB_EXT)
LLIBIPCGLEX = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCGLEXPRODNAME)$(ILIB_SUFFIX)

LIBBCMPRODNAME = bcm$(IPC_VERSION)
LIBBCM = $(LIBHOME)$(LIB_PREFIX)$(LIBBCMPRODNAME).$(DEPLIB_EXT)
LLIBBCM = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBBCMPRODNAME)$(ILIB_SUFFIX)

LIBIPCVMPRODNAME = ipcvm$(IPC_VERSION)
LIBIPCVM = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCVMPRODNAME).$(DEPLIB_EXT)
LLIBIPCVM = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCVMPRODNAME)$(ILIB_SUFFIX)

LIBIPCAMPRODNAME = ipcam$(IPC_VERSION)
LIBIPCAM = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCAMPRODNAME).$(DEPLIB_EXT)
LLIBIPCAM = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCAMPRODNAME)$(ILIB_SUFFIX)

LIBIPCLNTPRODNAME = ipclnt$(IPC_VERSION)
LIBIPCLNT = $(LIBHOME)$(LIB_PREFIX)$(LIBIPCLNTPRODNAME).$(DEPLIB_EXT)
LLIBIPCLNT = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBIPCLNTPRODNAME)$(ILIB_SUFFIX)

STATIC_LLIBMQL=$(LLIBMQL)
STATIC_LLIBIPC=$(LLIBIPC)

IPCLIBS=$(LLIBMQL) $(LLIBIPC)

LIBNGHTTP2          = oranghttp2
LIBNGHTTP2_VER      = _v1
LIBNGHTTP2_STATIC   = $(LIB_PREFIX)$(LIBNGHTTP2)$(LIBNGHTTP2_VER).$(LIB_EXT)
LIBNGHTTP2_SHARED   = $(LIB_PREFIX)$(LIBNGHTTP2)$(LIBNGHTTP2_VER).$(SO_EXT)
LIBNGHTTP2_LOC      = $(IPCHOME)$(LIBDIR)/$(LIBNGHTTP2_STATIC)
LLIBNGHTTP2         = $(LDLIBFLAG)$(LIBNGHTTP2)$(LIBNGHTTP2_VER)
LIBNGHTTP2SO        = $(IPCHOME)$(LIBDIR)/$(LIBNGHTTP2_SHARED)

# Entering SRCHOME/ipc/s_exports.mk

LINK_CC_STATIC=-Wl,-Bstatic
LINK_CC_DYNAMIC=-Wl,-Bdynamic

LINK_LD_STATIC=-Bstatic
LINK_LD_DYNAMIC=-Bdynamic

LINK_STATIC=$(LINK_CC_STATIC)
LINK_DYNAMIC=$(LINK_CC_DYNAMIC)


S_BUILD_NGHTTP2=\
	$(SHLIB_LD) -Wl,--whole-archive $(LIBNGHTTP2_LOC) -Wl,--no-whole-archive $(SYSLIBS)

$(LIBNGHTTP2SO) $(LIBHOME)liboranghttp2$(LIBNGHTTP2_VER).$(SO_EXT):
	$(S_BUILD_NGHTTP2)

# Exiting SRCHOME/ipc/s_exports.mk
# Exiting SRCHOME/ipc/exports.mk

# Entering SRCHOME/dbjava/exports.mk

JDBCHOME=$(ORACLE_HOME)/dbjava/

JDBC_MAJOR_VERSION = $(VSNMAJ)
JDBC_MINOR_VERSION = $(VSNRU)
JDBC_VERSION_STRING = $(BANNERVERSIONFULL)

JDBC_LABEL_JAR_PATH=$(ORACLE_HOME)/dbjava/lib/
JDBC_SHIPHOME_JAR_PATH=$(ORACLE_HOME)/jdbc/lib/

JDBC_PREVIOUS_JDK_OPT_JAR_NAME=
JDBC_PREVIOUS_JDK_DEBUG_JAR_NAME=
JDBC_PREVIOUS_JDK_DMS_JAR_NAME=
JDBC_PREVIOUS_JDK_DMS_DEBUG_JAR_NAME=

JDBC_CURRENT_JDK_OPT_JAR_NAME=ojdbc8.jar
JDBC_CURRENT_JDK_DEBUG_JAR_NAME=ojdbc8_g.jar
JDBC_CURRENT_JDK_DMS_JAR_NAME=ojdbc8dms.jar
JDBC_CURRENT_JDK_DMS_DEBUG_JAR_NAME=ojdbc8dms_g.jar

JDBC_NEXT_JDK_OPT_JAR_NAME=ojdbc11.jar
JDBC_NEXT_JDK_DEBUG_JAR_NAME=ojdbc11_g.jar
JDBC_NEXT_JDK_DMS_JAR_NAME=ojdbc11dms.jar
JDBC_NEXT_JDK_DMS_DEBUG_JAR_NAME=ojdbc11dms_g.jar

JDBC_PREVIOUS_JDK_OPT_JAR=
JDBC_PREVIOUS_JDK_SHIPHOME_OPT_JAR=
JDBC_PREVIOUS_JDK_DEBUG_JAR=
JDBC_PREVIOUS_JDK_DMS_JAR=
JDBC_PREVIOUS_JDK_DMS_DEBUG_JAR=

JDBC_CURRENT_JDK_OPT_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_CURRENT_JDK_OPT_JAR_NAME)
JDBC_CURRENT_JDK_SHIPHOME_OPT_JAR=$(JDBC_SHIPHOME_JAR_PATH)$(JDBC_CURRENT_JDK_OPT_JAR_NAME)
JDBC_CURRENT_JDK_DEBUG_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_CURRENT_JDK_DEBUG_JAR_NAME)
JDBC_CURRENT_JDK_DMS_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_CURRENT_JDK_DMS_JAR_NAME)
JDBC_CURRENT_JDK_DMS_DEBUG_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_CURRENT_JDK_DMS_DEBUG_JAR_NAME)

JDBC_NEXT_JDK_OPT_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_NEXT_JDK_OPT_JAR_NAME)
JDBC_NEXT_JDK_SHIPHOME_OPT_JAR=$(JDBC_SHIPHOME_JAR_PATH)$(JDBC_NEXT_JDK_OPT_JAR_NAME)
JDBC_NEXT_JDK_DEBUG_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_NEXT_JDK_DEBUG_JAR_NAME)
JDBC_NEXT_JDK_DMS_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_NEXT_JDK_DMS_JAR_NAME)
JDBC_NEXT_JDK_DMS_DEBUG_JAR=$(JDBC_LABEL_JAR_PATH)$(JDBC_NEXT_JDK_DMS_DEBUG_JAR_NAME)

JDBC_8_SERVER_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc8server.jar
JDBC_11_SERVER_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc11server.jar

ORACLE_PKI=$(ORACLE_HOME)/jlib/oraclepki.jar

JDBC_JNILIB_VERSION=$(CLIENT_LIBMAJORVSN)
OCIJDBCNAME=ocijdbc$(JDBC_JNILIB_VERSION)
HETEROXANAME = heteroxa$(JDBC_JNILIB_VERSION)
JDBC_TFO_LIB_VERSION=1
TFOJDBCNAME=tfojdbc$(JDBC_TFO_LIB_VERSION)

JDBCPUBH=$(I_SYM)$(JDBCHOME)if

JDBC_BASIC_ZIP=$(JDBC_PREVIOUS_JDK_SHIPHOME_OPT_JAR) \
    $(JDBC_CURRENT_JDK_SHIPHOME_OPT_JAR) \
    $(JDBC_NEXT_JDK_SHIPHOME_OPT_JAR) \
    $(ORACLE_HOME)$(DIRSEP)ucp$(DIRSEP)lib${DIRSEP}ucp.jar \
    $(ORACLE_HOME)$(DIRSEP)ucp$(DIRSEP)lib${DIRSEP}ucp11.jar \
    $(ORACLE_HOME)$(DIRSEP)$(LIBDIR)$(DIRSEP)$(LIB_PREFIX)$(OCIJDBCNAME).$(SO_EXT) \
    $(ORACLE_HOME)$(DIRSEP)$(LIBDIR)$(DIRSEP)$(LIB_PREFIX)$(TFOJDBCNAME).$(SO_EXT)

JDBC_EXTRA_ZIP=$(ORACLE_HOME)$(DIRSEP)$(LIBDIR)$(DIRSEP)$(LIB_PREFIX)$(HETEROXANAME).$(SO_EXT) 

JDBC_RPM_JARS=$(JDBC_PREVIOUS_JDK_OPT_JAR_NAME) \
   $(JDBC_CURRENT_JDK_OPT_JAR_NAME) \
   $(JDBC_NEXT_JDK_OPT_JAR_NAME)

JDBC_ALL_LRGS=  srto jnet jnet6 oct6 tct6 srtt \
t5cp t6cp o5cp o6cp cpro cprt tasm \
unt6 uno6 unt5 uno5 \
ein rlbt rlbo oct5 tct5 \
aao5 auo5 sao5 lao5 uto5 deo5 suo5 luo5 alo5 tro5 \
aat5 aut5 sat5 lat5 utt5 det5 sut5 lut5 alt5 trt5 \
aao6 auo6 sao6 lao6 uto6 deo6 suo6 luo6 alo6 tro6 ein6 \
aat6 aut6 sat6 lat6 utt6 det6 sut6 lut6 alt6 trt6 eat6 \
nunt1 \
5jow 5jo 5jopw 5jop 5jtw 5jta 5jtb 5jtc 5jtd 5jte 5jtpw 5jtp oei5 \
5pow 5po 5popw 5pop 5ptw  5pt 5ptpw 5ptp \
5gow 5go 5gopw 5gop 5gtwj 5gt 5gtpw 5gtp \
5dowa 5dowb 5dowc 5dowd 5dowe 5do 5dopw 5dow 5dtw 5dt 5dtpw 5dtp \
5dpow 5dpo 5dpopw 5dpop 5dptw 5dpt 5dptpw 5dptp \
5dgow 5dgo 5dgopw 5dgop 5dgtw 5dgt 5dgtpw 5dgtp \
6jow 6jo 6jopw 6jop 6jtw 6jta 6jtb 6jtc 6jtd 6jte 6jtf 6jtpw 6jtp oei6 \
6pow 6po 6popw 6pop 6ptw 6pt 6ptpw 6ptp \
6gow 6go 6gopw 6gop 6gtw 6gt 6gtpw 6gtp \
6dowa 6dowb 6dowc 6dowd 6dowe 6dowf 6do 6dopw 6dow 6dtw 6dt 6dtpw 6dtp \
6dpow 6dpo 6dpopw 6dpop 6dptw 6dpt 6dptpw 6dptp \
6dgow 6dgo 6dgopw 6dgop 6dgtw 6dgt 6dgtpw 6dgtp \
oei5z oei6z oei5l oei6l cc5j cc6j osf5 osf6 tsf5 tsf6 \
ipv6o5 ipv6t5 ipv6o6 ipv6t6 6joo 6jto 5joo 5jto 5jtxsv 6jtxsv \
op5a op5b op5c op5d op5e \
tw6a tw6b tw6c tw6d tw6e tw6f op6a op6b op6c op6d op6e op6f o6f t6f \
dlo5 dlt5 dlo6 dlt6 dlk5 dlts5 fnevt5 fnevt6 oidt5 oidt6 oido5 oido6
# Exiting SRCHOME/dbjava/exports.mk

# Entering SRCHOME/ctx/exports.mk



CTX_VERSION=$(LIBMAJORVSN)


LIBCTXSNAME=ctxs$(CTX_VERSION)
LIBCTXS = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXSNAME).$(LIB_EXT)
LLIBCTXS = $(LDLIBFLAG)$(LIBCTXSNAME)$(LIB_SUFFIX)

LIBCTXWKLNAME=wkl
LIBCTXWK = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXWKLNAME).$(LIB_EXT)
LLIBCTXWKL = $(LDLIBFLAG)$(LIBCTXWKLNAME)$(LIB_SUFFIX)

LIBCTXCNAME=ctxc$(CTX_VERSION)
LIBCTXC = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXCNAME).$(LIB_EXT)
LLIBCTXC = $(LDLIBFLAG)$(LIBCTXCNAME)$(LIB_SUFFIX)

LIBCTXNAME=ctx$(CTX_VERSION)
LIBCTX = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXNAME).$(LIB_EXT)
LLIBCTX = $(LDLIBFLAG)$(LIBCTXNAME)$(LIB_SUFFIX)

LIBZXNAME=zx$(CTX_VERSION)
LIBZX = $(CTXLIB)$(LIB_PREFIX)$(LIBZXNAME).$(LIB_EXT)
LLIBZX = $(LDLIBFLAG)$(LIBZXNAME)$(LIB_SUFFIX)

LIBGXNAME=gx$(CTX_VERSION)
LIBGX = $(CTXLIB)$(LIB_PREFIX)$(LIBGXNAME).$(LIB_EXT)
LLIBGX = $(LDLIBFLAG)$(LIBGXNAME)$(LIB_SUFFIX)

LIBANLNLPNAME=anlnlp$(CTX_VERSION)
LIBANLNLP = $(CTXLIB)$(LIB_PREFIX)$(LIBANLNLPNAME).$(LIB_EXT)
LLIBANLNLP = $(LDLIBFLAG)$(LIBANLNLPNAME)$(LIB_SUFFIX)

LIBANLEXTRNAME=anlextr$(CTX_VERSION)
LIBANLEXTR = $(CTXLIB)$(LIB_PREFIX)$(LIBANLEXTRNAME).$(LIB_EXT)
LLIBANLEXTR = $(LDLIBFLAG)$(LIBANLEXTRNAME)$(LIB_SUFFIX)

LIBANLMEMMGRNAME=anlmemmgr$(CTX_VERSION)
LIBANLMEMMGR = $(CTXLIB)$(LIB_PREFIX)$(LIBANLMEMMGRNAME).$(LIB_EXT)
LLIBANLMEMMGR = $(LDLIBFLAG)$(LIBANLMEMMGRNAME)$(LIB_SUFFIX)

LIBANLLEXERNAME=anllexer$(CTX_VERSION)
LOC_LIBANLLEXER=$(CTXLIB)$(LIB_PREFIX)$(LIBANLLEXERNAME).$(LIB_EXT)
LIBANLLEXER=$(CTXLIB)$(LIB_PREFIX)$(LIBANLLEXERNAME).$(SO_EXT)
LLIBANLLEXER=$(LDLIBFLAG)$(LIBANLLEXERNAME)

LIBANL6NLPNAME=anlnlp6$(CTX_VERSION)
LIBANL6NLP = $(CTXLIB)$(LIB_PREFIX)$(LIBANL6NLPNAME).$(LIB_EXT)
LLIBANL6NLP = $(LDLIBFLAG)$(LIBANL6NLPNAME)$(LIB_SUFFIX)

LIBANL6EXTRNAME=anlextr6$(CTX_VERSION)
LIBANL6EXTR = $(CTXLIB)$(LIB_PREFIX)$(LIBANL6EXTRNAME).$(LIB_EXT)
LLIBANL6EXTR = $(LDLIBFLAG)$(LIBANL6EXTRNAME)$(LIB_SUFFIX)

LIBANL6MEMMGRNAME=anlmemmgr6$(CTX_VERSION)
LIBANL6MEMMGR = $(CTXLIB)$(LIB_PREFIX)$(LIBANL6MEMMGRNAME).$(LIB_EXT)
LLIBANL6MEMMGR = $(LDLIBFLAG)$(LIBANL6MEMMGRNAME)$(LIB_SUFFIX)

LIBANL6LEXERNAME=anllexer6$(CTX_VERSION)
LOC_LIBANL6LEXER=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6LEXERNAME).$(LIB_EXT)
LIBANL6LEXER=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6LEXERNAME).$(SO_EXT)
LLIBANL6LEXER=$(LDLIBFLAG)$(LIBANL6LEXERNAME)

LIBANL6OLTCPPNAME=anloltcpp6$(CTX_VERSION)
LOC_LIBANL6OLTCPP=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6OLTCPPNAME).$(LIB_EXT)
LIBANL6OLTCPP=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6OLTCPPNAME).$(SO_EXT)
LLIBANL6OLTCPP=$(LDLIBFLAG)$(LIBANL6OLTCPPNAME)

LIBANL6OLTCNAME=anloltc6$(CTX_VERSION)
LOC_LIBANL6OLTC=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6OLTCNAME).$(LIB_EXT)
LIBANL6OLTC=$(CTXLIB)$(LIB_PREFIX)$(LIBANL6OLTCNAME).$(SO_EXT)
LLIBANL6OLTC=$(LDLIBFLAG)$(LIBANL6OLTCNAME) $(LDLIBFLAG)$(LIBANL6OLTCPPNAME)

CTX_LINK = $(LDPATHFLAG)$(LIBHOME) $(LLIBCTXC) $(LLIBCTX) $(LLIBCTXC) $(LLIBZX) $(LLIBGX) $(LLIBCTX) $(LLIBZX) $(LLIBGX)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering SRCHOME/ctx/s_exports.mk
CTX_LINK = $(LDPATHFLAG)$(LIBHOME) $(LLIBCTXC) $(LLIBCTX) $(LLIBCTXC) $(LLIBZX) $(LLIBGX) $(LLIBCTX) $(LLIBZX) $(LLIBGX)

# Exiting SRCHOME/ctx/s_exports.mk
# Exiting SRCHOME/ctx/exports.mk
# Entering SRCHOME/javavm/exports.mk
JAVAVMFORRDBMSBASENAME = javavm$(RDBMS_VERSION)# should eventually be javavm$(LIBMAJORVSN)
LIBJAVAVMFORRDBMSBASENAME = $(LIB_PREFIX)$(JAVAVMFORRDBMSBASENAME)
LIBJAVAVM=$(LIBHOME)$(LIBJAVAVMFORRDBMSBASENAME).$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)$(JAVAVMFORRDBMSBASENAME)

# Entering SRCHOME/javavm/javavm_common.mk

# Exiting SRCHOME/javavm/javavm_common.mk
# Entering SRCHOME/javavm/s_exports.mk

# Exiting SRCHOME/javavm/s_exports.mk
# Exiting SRCHOME/javavm/exports.mk
# Entering SRCHOME/sqlplus/exports.mk

PRODUCT=sqlplus
SQLPLUSHOME=$(ORACLE_HOME)/sqlplus/
SQLPLUSADMINDIR=$(SQLPLUSHOME)admin/
SQLPLUSBINDIR=$(SQLPLUSHOME)$(BINDIR)/

LIBSQLPLUSNAME = sqlplus
LIBISQLPLUSNAME= isqlplus
LIBSQLPLUSICNAME= sqlplusic
LIBSQLPLUSSO   = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSNAME).$(SO_EXT)
LIBSQLPLUS     = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSNAME).$(LIB_EXT)
LIBISQLPLUSSO  = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBISQLPLUSNAME).$(SO_EXT)
LIBISQLPLUS    = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBISQLPLUSNAME).$(LIB_EXT)
LIBSQLPLUSICSO = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSICNAME).$(SO_EXT)
LIBSQLPLUSIC   = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSICNAME).$(LIB_EXT)
LLIBSQLPLUS    = $(LDLIBFLAG)$(LIBSQLPLUSNAME)
LLIBISQLPLUS   = $(LDLIBFLAG)$(LIBISQLPLUSNAME)
LLIBSQLPLUSIC  = $(LDLIBFLAG)$(LIBSQLPLUSICNAME)

LIBMAIN        = $(SQLPLUSLIBDIR)s0afimai.$(OBJ_EXT)
LLIBMAIN       = $(SQLPLUSLIBDIR)s0afimai.$(OBJ_EXT)

SQLPLUSLIBS    = $(LLIBMAIN) $(LLIBSQLPLUS)
ISQLPLUSLIBS   = $(LLIBISQLPLUS) $(LLIBSQLPLUS)
SQLPLUSICLIBS  = $(LLIBSQLPLUSIC)

SQLPLUS        = $(SQLPLUSBINDIR)sqlplus$(HYBRID_SUFFIX)$(EXE_SUFFIX)

# Entering SRCHOME/sqlplus/s_exports.mk

LDSYMSTRIP=-s
S_LDOPTS=-h $(LIB_PREFIX)$(LIBSQLPLUSNAME).$(SO_EXT) $(LDSYMSTRIP) \
-u afidrv -z defs -lc

HELPINS=$(SQLPLUSBINDIR)helpins
# Exiting SRCHOME/sqlplus/s_exports.mk
# Exiting SRCHOME/sqlplus/exports.mk
 
# Entering SRCHOME/precomp/exports.mk

TOP=$(ORACLE_HOME)/precomp

PRECOMP_VERSION=$(LIBMAJORVSN)
LIBSQLNAME=sql$(PRECOMP_VERSION)
LLIBSQL=$(LDLIBFLAG)$(ILIB_PREFIX)$(LIBSQLNAME)$(ILIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(DEPLIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)$(LIBDIR)/

OTTCLASSESZIP=$(PRECOMPLIB)ottclasses.$(ZIP_EXT)

PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include

# Entering SRCHOME/precomp/s_exports.mk
 
PRECOMPPUBLIC=$(PRECOMPHOME)public

# Exiting SRCHOME/precomp/s_exports.mk
# Exiting SRCHOME/precomp/exports.mk

PRODUCT=precomp
BANNER_PREFIX=BNR
M4=m4

PRECOMPADALIB=$(PRECOMPHOME)pubsrc/adalib/
PRECOMPBIN=$(PRECOMPHOME)$(BINDIR)/
PRECOMPDEMO=$(PRECOMPHOME)demo/
PRECOMPINCLUDE=$(PRECOMPHOME)include/
PRECOMPINSTALL=$(PRECOMPHOME)install/
PRECOMPMESG=$(PRECOMPHOME)mesg/
PRECOMPSRC=$(PRECOMPHOME)src/
PRECOMPUTL=$(PRECOMPHOME)utl/
PRECOMPPUBLIC=$(PRECOMPHOME)public/

OTTCLASS=$(PRECOMPHOME)classes/
SRCDIR=$(PRECOMPSRC)/ott2/oracle/ott/
JAVAC=$(JDK_HOME)/bin/javac
JAVAC_MEM_FLAG = -J-mx64m

UTL_SCRIPTS = \
        ott \

PRODLIBHOME=$(PRECOMPLIB)


LIBFIDLNAME=fidl
LIBMODNAME=mod
LIBPCCNAME=pcc
LIBPFONAME=pfo
LIBPGPNAME=pgp
LIBPPLNAME=ppl
LIBPROC2NAME=proc2
LIBPROCOB2NAME=procob2
LIBPSDNAME=psd
LIBSQXNAME=sqx8

LIBFIDL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBFIDLNAME).$(LIB_EXT)
LIBMOD=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBMODNAME).$(LIB_EXT)
LIBPCC=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPCCNAME).$(LIB_EXT)
LIBPFO=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPFONAME).$(LIB_EXT)
LIBPGP=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPGPNAME).$(LIB_EXT)
LIBPPL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPPLNAME).$(LIB_EXT)
LIBPROC2=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPROC2NAME).$(LIB_EXT)
LIBPROCOB2=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPROCOB2NAME).$(LIB_EXT)
LIBPSD=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPSDNAME).$(LIB_EXT)
LIBSQX=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBSQXNAME).$(LIB_EXT)

LOC_LIBSQL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

LIBS=$(PRODLIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_LIBS=$(LIBFIDL) $(LIBMOD) $(LIBPCC) $(LIBPFO) \
	$(LIBPGP) $(LIBPPL) $(LIBPROC2) $(LIBPROCOB2) $(LIBPSD) $(LOC_LIBSQL)

SHLIBS=$(PRODSOHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(SO_EXT)
 
COB2MAIN=$(PRECOMPLIB)spcbd.$(OBJ_EXT)
FIDLMAIN=$(PRECOMPLIB)ilmain.$(OBJ_EXT)
FORMAIN=$(PRECOMPLIB)spc1drv.$(OBJ_EXT)
MODADAMAIN=$(PRECOMPLIB)pmsapr.$(OBJ_EXT) $(PRECOMPLIB)spmmain.$(OBJ_EXT)
PLIMAIN=$(PRECOMPLIB)spc3drv.$(OBJ_EXT)
 
PD1OBJ=pd1.$(OBJ_EXT)
PDAOBJ=pda.$(OBJ_EXT)
PDBOBJ=pdb.$(OBJ_EXT)
PDCOBJ=pdc.$(OBJ_EXT)
PDFOBJ=pdf.$(OBJ_EXT)
PDSOBJ=pds.$(OBJ_EXT)
CODEGENOBJS=$(PD1OBJ) $(PDAOBJ) $(PDCOBJ) $(PDBOBJ) $(PDFOBJ) $(PDSOBJ)

ADAPDC=$(PRECOMPLIB)$(PDAOBJ) $(PRECOMPLIB)$(PDSOBJ)
CPDC=$(PRECOMPLIB)$(PDCOBJ) $(PRECOMPLIB)$(PDSOBJ)
COBPDC=$(PRECOMPLIB)$(PDBOBJ) $(PRECOMPLIB)$(PDSOBJ)
FORPDC=$(PRECOMPLIB)$(PDFOBJ) $(PRECOMPLIB)$(PDSOBJ)
PLIPDC=$(PRECOMPLIB)$(PD1OBJ) $(PRECOMPLIB)$(PDSOBJ)

PRECOMP_OBJFILES=$(ADAPDC) $(CPDC) $(COBPDC) $(FORPDC) $(PLIPDC) \
		 $(COB2MAIN) $(FIDLMAIN) $(FORMAIN) $(MODADAMAIN) $(PLIMAIN)

PRECOMPPUBH32=

PRECOMPH=$(I_SYM)$(PRECOMPHOME)hdrs
PRECOMPSH=$(PRECOMPH) $(PRECOMPPUBH32) $(PRECOMPPUBH)

INCLUDE=$(PRECOMPSH) $(PLSQLPUBH) $(RDBMSPUBH) $(ORACOREPUBH) $(NLSRTLPUBH) \
	$(OTRACEPUBH) $(SSLPUBH) $(CRYPTOPUBH) $(NETWORKPUBH) $(SLAXPUBH) \
	$(JAVAVMPUBH) $(OSSPUBH) $(IPCPUBH) $(OTHER_H) $(I_SYM).


STATICPROLDLIBS=$(STATIC_LDCLIENTLIBS) $(LLIBTHREAD)
DYNAMICPROLDLIBS=$(SHARED_LDCLIENTLIBS) $(LLIBTHREAD)
PROLDLIBS=$(DYNAMICPROLDLIBS)

STATICCPPLDLIBS=$(STATIC_LDCLIENTLIBS)
DYNAMICCPPLDLIBS=$(SHARED_LDCLIENTLIBS)
CPPLDLIBS=$(DYNAMICCPPLDLIBS)

COBOL_STATICPROLDLIBS=$(LLIBCLNTST) $(COBLDLIBS) $(LLIBTHREAD)
COBOL_DYNAMICPROLDLIBS=$(LLIBCLNTSH) $(COBLDLIBS) $(LLIBTHREAD)
COBOL_PROLDLIBS=$(COBOL_DYNAMICPROLDLIBS)

LIBPLS_CLT=$(LPLSQLLIBS)

OTT=ott$(EXE_SUFFIX)
MODADA=modada$(EXE_SUFFIX)
PROC=proc$(EXE_SUFFIX)
PROCOB=procob$(EXE_SUFFIX)
PROFOR=profor$(EXE_SUFFIX)
PROPLI=propli$(EXE_SUFFIX)
RTSORA=rtsora$(EXE_SUFFIX)

LOC_MODADA=$(PRECOMPBIN)$(MODADA)
LOC_PROC=$(PRECOMPBIN)$(PROC)
LOC_PROCOB=$(PRECOMPBIN)$(PROCOB)
LOC_PROFOR=$(PRECOMPBIN)$(PROFOR)
LOC_PROPLI=$(PRECOMPBIN)$(PROPLI)
LOC_RTSORA=$(PRECOMPBIN)$(RTSORA)

MODADA_LINKLINE=$(LINK) $(MODADAMAIN) $(LIBMOD) $(ADAPDC) $(LIBSLAX) \
		$(LLIBCLNTSH) \
		$(LIBPGP) $(LLIBPLSQL) $(LLIBSNLSRTL) $(LLIBUNLSRTL) \
		$(LLIBNLSRTL) $(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

PROC_LINKLINE=$(LINK) $(S0MAIN) $(CPDC) $(LIBPROC2) $(LIBSLAX) \
	      $(LLIBCLNTSH) \
	      $(LIBPGP) $(LLIBPLSQL) $(LLIBPLC) $(LLIBSNLSRTL) $(LLIBUNLSRTL) \
	      $(LLIBNLSRTL) $(DEF_ON) $(LINKTTLIBS)

PROCOB_LINKLINE=$(LINK) $(COB2MAIN) $(LIBPROCOB2) $(LIBSLAX) $(COBPDC) \
	        $(LLIBCLNTSH) \
	        $(LIBPGP) $(DEF_ON) $(LLIBPLSQL) $(LIBPROCOB2) $(LLIBPLSQL) \
		$(LLIBPLC) \
	        $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) $(SSCOREED) \
		$(LINKTTLIBS)

PROFOR_LINKLINE=$(LINK) $(FORMAIN) $(FORPDC) $(LIBPFO) \
	        $(LLIBCLNTSH) \
		$(LIBPCC) $(LIBPGP) $(LLIBPLSQL) $(LIBPSD) $(LIBSLAX) \
		$(LLIBPLSQL) $(LLIBPLC) $(LIBPSD) \
		$(LLIBSNLSRTL) $(LLIBUNLSRTL) \
		$(LLIBNLSRTL) $(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

PROPLI_LINKLINE=$(LINK) $(PLIMAIN) $(PLIPDC) $(LIBPPL) $(LIBPCC) \
	        $(LLIBCLNTSH) \
		$(LIBPGP) $(LLIBPLSQL) $(LIBSLAX) $(LIBPSD) $(LLIBPLSQL) \
		$(LLIBPLC) $(LIBPSD) \
		$(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
		$(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

RTSORA_LINKLINE=$(PLATFORM_PREFIX_RTSORA) \
		$(COB) -o $(LOC_RTSORA) -t -xe "" $(RTSPORTFLAGS) \
		$(COBSQLINTF) $(SCOREPT) $(SSCOREED) $(DEF_ON) $(LDPATHFLAG) \
		$(LIBHOME) $(LLIBCLNTSH)

EXE_PROT=755


DEMO_PROC_BUILD_SHARED=$(CC) $(LFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC=$(CC) $(LFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED=$(CPLUSPLUS) $(LFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC=$(CPLUSPLUS) $(LFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
PCC2C=$(PROC) $(PROCFLAGS) iname=$(PCCSRC) $(INCLUDE)
C2O=$(CC) $(CFLAGS) -c $*.c
CPP2O_EXE=$(CPLUSPLUS) $(LFLAGS) -c $(INCLUDE) $(EXE).c
CPP2O=$(CPLUSPLUS) $(LFLAGS) -c $(INCLUDE) $*.c

DEMO_PROCOB_BUILD_SHARED=$(COB) $(COBFLAGS) -o $(EXE) $(COBS) $(LDPATHFLAG)$(LIBHOME) $(COBSQLINTF) $(COBOL_PROLDLIBS)
DEMO_PROCOB_BUILD_STATIC=$(COB) $(COBFLAGS) -o $(EXE) $(COBS) $(LDPATHFLAG)$(LIBHOME) $(COBSQLINTF) $(COBOL_STATICPROLDLIBS) $(LLIBNZ)
COB2GNT=$(COB) $(COBGNTFLAGS) $*.cob

DEMO_PROFOR_BUILD_SHARED=$(FC) $(FCFLAGS) -o $(EXE) $(FORS) $(FC_LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROFOR_BUILD_STATIC=$(FC) $(FCFLAGS) -o $(EXE) $(FORS) $(FC_LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS) $(LLIBNZ)
F2O=$(FC) $(FCFLAGS) -c $*.f

LIBDIR32=lib32

PROC_32=$(PROC)
DEMO_PROC_BUILD_SHARED_32=$(CC) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC_32=$(CC) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED_32=$(CPLUSPLUS) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC_32=$(CPLUSPLUS) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
C2O_32=$(CC) $(CFLAGS32) -c $*.c
CPP2O_EXE_32=$(CPLUSPLUS) $(LFLAGS32) -c $(INCLUDE) $(EXE).c
CPP2O_32=$(CPLUSPLUS) $(LFLAGS32) -c $(INCLUDE) $*.c
CFLAGS32=$(CFLAGS)
LFLAGS32=

PROCOB_32=$(PROCOB)
DEMO_PROCOB_BUILD_SHARED_32=$(DEMO_PROCOB_BUILD_SHARED)
DEMO_PROCOB_BUILD_STATIC_32=$(DEMO_PROCOB_BUILD_STATIC)
COB2GNT_32=$(COB2GNT)

PROFOR_32=$(PROFOR)
DEMO_PROFOR_BUILD_SHARED_32=$(DEMO_PROFOR_BUILD_SHARED)
DEMO_PROFOR_BUILD_STATIC_32=$(DEMO_PROFOR_BUILD_STATIC)
F2O_32=$(F2O)

LIBDIR64=lib64

PROC_64=$(PROC)
DEMO_PROC_BUILD_SHARED_64=$(CC) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC_64=$(CC) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED_64=$(CPLUSPLUS) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC_64=$(CPLUSPLUS) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
C2O_64=$(CC) $(CFLAGS64) -c $*.c
CPP2O_EXE_64=$(CPLUSPLUS) $(LFLAGS64) -c $(INCLUDE) $(EXE).c
CPP2O_64=$(CPLUSPLUS) $(LFLAGS64) -c $(INCLUDE) $*.c
CFLAGS64=$(CFLAGS)
LFLAGS64=

PROCOB_64=$(PROCOB)
DEMO_PROCOB_BUILD_SHARED_64=$(DEMO_PROCOB_BUILD_SHARED)
DEMO_PROCOB_BUILD_STATIC_64=$(DEMO_PROCOB_BUILD_STATIC)
COB2GNT_64=$(COB2GNT)

PROFOR_64=$(PROFOR)
DEMO_PROFOR_BUILD_SHARED_64=$(DEMO_PROFOR_BUILD_SHARED)
DEMO_PROFOR_BUILD_STATIC_64=$(DEMO_PROFOR_BUILD_STATIC)
F2O_64=$(F2O)




INSTALL_SHORTCUT_TARGETS=$(MODADA) $(PROC) $(PROCOB) \
			 $(PROFOR) $(PROPLI) $(RTSORA)
INSTALL_SHORTCUT_32_64_TARGETS=
INSTALL_RENAMED_32_64_TARGETS=

IS_EXIST=test ! -f

# Entering SRCHOME/precomp/s_precomp.mk

LLAIO=
LLIBTHREAD=
LLIBPOSIX4=-lposix4

ifeq ($(PROFILE_ON),collect)
RTSORA_LINKLINE+=-lipgo
endif

SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_LDFLAG32=$(AMD32FLAGS) -shared -L$(ORACLE_HOME)/lib -o
ifeq ($(BUILD32),T)
SHARED_LDFLAG=$(SHARED_LDFLAG32)
endif

CCFLAGS= $(NOKPIC_CCFLAGS) -fPIC -DPRECOMP

FCOMMON=-fcommon
CCFLAGS+= $(FCOMMON)

DEMO_PROC_BUILD_STATIC=$(CC) $(LDFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS) $(LLIBNZ)
DEMO_PROC_CPPBUILD_STATIC=$(CPLUSPLUS) $(LDFLAGS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS) $(LLIBNZ)

DEMO_SHARED_LDFLAGS32=$(AMD32FLAGS) -o $@ $(LDPATHFLAG)$(PRODLIBHOME32) $(LDPATHFLAG)$(LIBHOME32)
DEMO_PROC_BUILD_SHARED_32=$(CC) $(DEMO_SHARED_LDFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC_32=$(CC) $(LDFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS) $(LLIBNZ)
DEMO_PROC_CPPBUILD_SHARED_32=$(CPLUSPLUS) $(DEMO_SHARED_LDFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC_32=$(CPLUSPLUS) $(LDFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS) $(LLIBNZ)

SYS_INCLUDE_PATH=/usr/include,/usr/lib/gcc/x86_64-redhat-linux/4.1.2/include,/usr/lib/gcc/x86_64-redhat-linux/4.4.7/include,/usr/lib/gcc/x86_64-redhat-linux/4.4.4/include,/usr/lib64/gcc/x86_64-suse-linux/4.8/include,/usr/lib/gcc/x86_64-redhat-linux/4.8.5/include
SYS_INCLUDE='sys_include=($(ORACLE_HOME)/precomp/public,$(SYS_INCLUDE_PATH))'
PCSCFG_SYS_INCLUDE='sys_include=($$ORACLE_HOME/precomp/public,$(SYS_INCLUDE_PATH))'
PCSCFG_SYS_INCLUDE_1='sys_include=/usr/lib64/gcc/x86_64-suse-linux/7/include'
PCSCFG_SYS_INCLUDE_2='sys_include=/usr/lib/gcc/x86_64-redhat-linux/8/include'
PCSCFG_SYS_INCLUDE_3='sys_include=/usr/lib/gcc/x86_64-linux-gnu/9/include'
PCSCFG_SYS_INCLUDE_4='sys_include=/usr/lib/gcc/x86_64-linux-gnu/8/include'
PCSCFG_SYS_INCLUDE_5='sys_include=/usr/lib/gcc/x86_64-linux-gnu/10/include'
PCSCFG_SYS_INCLUDE_6='sys_include=/usr/lib/gcc/x86_64-linux-gnu/11/include'
PCSCFG_SYS_INCLUDE_7='sys_include=/usr/lib64/gcc/x86_64-suse-linux/8/include'
PCSCFG_SYS_INCLUDE_8='sys_include=/usr/lib/gcc/x86_64-redhat-linux/11/include'
CFLAGS+=$(LDOBJSZ)
LFLAGS+=$(LDOBJSZ) $(KPIC_OPTION)

C2O_32=$(CC) $(AMD32FLAGS) $(CFLAGS32) -c $*.c
PCSCFG=pcscfg.cfg
DEFINE=define=__x86_64__

CPLUSPLUS=g++
CPLUS_SYS_INCLUDE='sys_include=($(ORACLE_HOME)/precomp/public,/usr/include,/usr/lib/gcc-lib/x86_64-redhat-linux/3.2.3/include,/usr/include/c++/3.2.3/backward,/usr/include/g++-3,/usr/lib/gcc/x86_64-redhat-linux/4.1.1/include,/usr/lib64/gcc/x86_64-suse-linux/4.1.0/include,/usr/lib64/gcc/x86_64-suse-linux/4.8/include,/usr/lib64/gcc/x86_64-suse-linux/7/include)'
CPLUS_INCLUDE= $(I_SYM)$(PRECOMPDEMO)proc $(INCLUDE)
CPLUS_CFLAGS=$(OPTIMIZE) $(INCLUDE) -DSLTS_ENABLE -D_REENTRANT
C++2O_EXE_32=$(CPLUSPLUS) $(AMD32FLAGS) $(LFLAGS32) -c $(INCLUDE) $(EXE).c
C++2O_32=$(CPLUSPLUS) $(AMD32FLAGS) $(LFLAGS32) -c $(INCLUDE) $*.c
CPP2O_EXE_32=$(CPLUSPLUS) $(AMD32FLAGS) $(LFLAGS32) -c $(INCLUDE) $(EXE).c
CPP2O_32=$(CPLUSPLUS) $(AMD32FLAGS) $(LFLAGS32) -c $(INCLUDE) $*.c
ifeq ($(BUILD32),T)
C++2O=$(CPLUSPLUS) $(AMD32FLAGS) -c $(INCLUDE) $*.c
else
C++2O=$(CPLUSPLUS) -c $(INCLUDE) $*.c
endif

ADAPORT=verdix
ADACC=ada -e
ADALD=a.ld
ADACLEAN=a.rmlib -f

COB=cob
COBFLAGS=-C IBMCOMP -C NESTCALL -x -t
COBGNTFLAGS=-C IBMCOMP -C NESTCALL -u
GNT=.gnt
COBSQLINTF=$(PRECOMPLIB)cobsqlintf.o
SHAREDLIBPATH =  -L$(ORACLE_HOME)/lib


FC=gfortran
FCFLAGS=
FC_LDPATHFLAG=$(LDPATHFLAG)

PL1=lpipl1
PL1LD=ldpl1
PL1FLAGS=-lowercase


JAVACLASSDIR=$(ORACLE_HOME)/precomp/classes/
JDK_HOME=$(ORACLE_HOME)/jdk

JAVAC13=/usr/local/java/jdk1.3.1_02/bin/javac -classpath $(CLASSPATH13) -d $(JAVACLASSDIR)

CLASSPATH13=.$(CLASS_SEP)$(JAVACLASSDIR)$(CLASS_SEP)$(JDBCCLASSES11)$(CLASS_SEP)/usr/local/java/jdk1.3.1_02/lib/dt.jar:/usr/local/java/jdk1.3.1_02/lib/tools.jar:$(ORACLE_HOME)/sqlj/lib/runtime.zip:$(ORACLE_HOME)/jdbc/lib/nls_charset11.zip:$(ORACLE_HOME)/sqlj/lib/translator.zip:$(ORACLE_HOME)/javavm/lib/aurora.zip:$(ORACLE_HOME)/precomp/lib/ottclasses.zip$


CLASS_SEP=:
DIRSEP=/


JAVACLASSPATH=.$(CLASS_SEP)$(JAVACLASSDIR)$(CLASS_SEP)$(ORACLE_HOME)/jdbc/lib/$(JDBC_CURRENT_JDK_OPT_JAR_NAME)$(CLASS_SEP)$(ORACLE_HOME)/jlib/orai18n.jar:$(ORACLE_HOME)/precomp/lib/ottclasses.zip

ZIP=zip

SHIPHOME_JRE_LOCATION=/usr/local/java/j2sdk1.4.2/jre
SHIPHOME_JRE_RUNCMD=jre
SHIPHOME_JRE_JRECLASSFILE=$(SHIPHOME_JRE_LOCATION)/lib/rt.jar:$(SHIPHOME_JRE_LOCATION)/lib/i18n.jar
SHIPHOME_JRE_JDBCCLASSFILE=classes111.zip
SHIPHOME_JRE_SSLCLASSFILE=$$ORACLE_HOME/jlib/oraclepki.jar:$$ORACLE_HOME/jlib/osdt_core.jar:$$ORACLE_HOME/jlib/osdt_cert.jar

SHIPHOME_JDK_LOCATION=$$ORACLE_HOME/jdk
SHIPHOME_JDK_RUNCMD=java
SHIPHOME_JDK_JDKCLASSFILE=
SHIPHOME_JDK_JDBCCLASSFILE=$$ORACLE_HOME/jdbc/lib/$(JDBC_CURRENT_JDK_OPT_JAR_NAME)
SHIPHOME_JDK_NLSCLASSFILE=$$ORACLE_HOME/jlib/orai18n.jar
SHIPHOME_JDK_SQLJCLASSFILE=$$ORACLE_HOME/sqlj/lib/runtime.jar:$$ORACLE_HOME/sqlj/lib/translator.jar
SHIPHOME_JDK_SSLCLASSFILE=$$ORACLE_HOME/jlib/oraclepki.jar:$$ORACLE_HOME/jlib/osdt_core.jar:$$ORACLE_HOME/jlib/osdt_cert.jar
SHIPHOME_JDK_JVMCLASSFILE=$$ORACLE_HOME/javavm/lib/aurora.zip
SHIPHOME_JDK_OTTCLASSFILE=$$ORACLE_HOME/precomp/lib/ottclasses.zip

PUBLIC_SETUP=setuphybrid

DEMO_LDFLAGSLIST=
DEMO_SYSLIBS=-ldl -lm -lpthread -lrt -laio -lresolv


# Exiting SRCHOME/precomp/s_precomp.mk
# Exiting precomp.mk
# Entering SRCHOME/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH_NPT) $(LIBCLNTSH): ${LIBCLIENT} ${LIBSQL} \
	${LIBNTTCP} ${LIBNETWORK} \
	${LIBNL} ${LIBHOME}libnldap$(LIBMAJORVSN).$(LIB_EXT) \
	${LIBHOME}libnhost$(LIBMAJORVSN).$(LIB_EXT) ${LIBHOME}libntns$(LIBMAJORVSN).$(LIB_EXT) \
	${LIBHOME}libnoname$(LIBMAJORVSN).$(LIB_EXT) ${LIBHOME}libnus$(LIBMAJORVSN).$(LIB_EXT) \
	${LIBHOME}libntcps$(LIBMAJORVSN).$(LIB_EXT) ${LIBHOME}libnro$(LIBMAJORVSN).$(LIB_EXT) \
	${LIBCOMMON} \
	${LIBGENERIC} ${LIBMM} \
	${LIBNLSRTL} ${LIBCORE} \
	${LIBNGSMSHD} \
	${RDBMSLIB}$(XAD_OFF)
	$(SILENT)$(ECHO) "Building client shared library libclntsh.$(SO_EXT) ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH) -all
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/${LIBDIR}/libclntsh.$(SO_EXT) ... DONE"

ALLSHLIBS=$(VARLIBS) $(LD_SHLIBS) $(DLOPENLIBS) $(NEW_LD_SHLIBS) $(NEW_DLOPENLIBS)
shlibs: $(ALLSHLIBS)
bootstraplibs: $(CUS_BOOTSTRAPLIBS)

$(LD_SHLIBS) ld_shlibs_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_SHLIB_COMMAND)

$(DLOPENLIBS) dlopenlibs_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_DLOPENLIB_COMMAND)

$(NEW_LD_SHLIBS) new_ld_shlibs_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_NEW_SHLIB_COMMAND)

$(NEW_DLOPENLIBS) new_dlopenlibs_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_NEW_DLOPENLIB_COMMAND)

$(VARLIBS) varlibs_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_VARLIB_COMMAND)

$(CUS_BOOTSTRAPLIBS) bootstraplib_target: $(ALWAYS)
	$(RMF) $@
	$(CUS_BOOTSTRAPLIB_COMMAND)

ld_shlib:
	$(LD_SHLIB_COMMAND)

dlopenlib:
	$(DLOPENLIB_COMMAND)

new_ld_shlib:
	$(NEW_LD_SHLIB_COMMAND)

new_dlopenlib:
	$(NEW_DLOPENLIB_COMMAND)

bootstrap:
	$(BOOTSTRAPLIB_COMMAND)

always:

oh_link_shlibs: $(OHSO_TARGETS)
$(OHSO_TARGETS) oh_link_shlibs_target: always
	$(OH_LINK_SHLIB_COMMAND)

prod_link_shlibs: $(PRODSO_TARGETS)
$(PRODSO_TARGETS) pl_link_shlibs_target: always
	$(PROD_LINK_SHLIB_COMMAND)

echo_shlib_lists:
	$(SILENT)$(ECHO) VARLIBS: $(VARLIBS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) LD_SHLIBS: $(LD_SHLIBS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) DLOPENLIBS: $(DLOPENLIBS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) NEW_LD_SHLIBS: $(NEW_LD_SHLIBS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) NEW_DLOPENLIBS: $(NEW_DLOPENLIBS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) OHSO_TARGETS: $(OHSO_TARGETS) $(SPACE2NEWLINE)
	$(SILENT)$(ECHO) PRODSO_TARGETS: $(PRODSO_TARGETS) $(SPACE2NEWLINE)
# Exiting SRCHOME/buildtools/mkfile/libclntsh.mk
